GNU bug report logs - #59087
29.0.50; package-vc-update error

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Feng Shu <tumashu@HIDDEN>; dated Mon, 7 Nov 2022 02:34:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 59087 <at> debbugs.gnu.org:


Received: (at 59087) by debbugs.gnu.org; 16 Nov 2022 12:20:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 16 07:20:31 2022
Received: from localhost ([127.0.0.1]:56275 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ovHP5-0004j3-KB
	for submit <at> debbugs.gnu.org; Wed, 16 Nov 2022 07:20:31 -0500
Received: from mout01.posteo.de ([185.67.36.65]:35721)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philipk@HIDDEN>) id 1ovHP3-0004ij-QJ
 for 59087 <at> debbugs.gnu.org; Wed, 16 Nov 2022 07:20:30 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 4D82C240027
 for <59087 <at> debbugs.gnu.org>; Wed, 16 Nov 2022 13:20:24 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1668601224; bh=D2vNiHXI3YR0jMI9mx0DcZd7zh3VrJnWnbU3MHNE3+c=;
 h=From:To:Cc:Subject:Date:From;
 b=j7bnv5JRLFyOuL7ik0+0cdbUGFDgUdksHU2Vl+NoS7L1rnFX92kJXFT92yROnxqNl
 zy3/if0LIFFEWhjZdynb7fQkjSE8tnqZaYWDkTKYr4bTXZMYNdILg/KaBo3rPnqLxQ
 YpauuZrweOEMcKonTOMk0lZSvJet9qnOjzfPwnO4UqQibeZCIuRs4vY4k0evmJFt/0
 8uTv7adshYlGuoJps2iYEutsOkxOLg3cMkJjDBkiw8yxC5mc7BrgKCJNutA3n8ABX0
 1Gt6JHrbDwnMIxDjQWG6s40ytxEIIP5QOS31xsoJQZxU0IAutMy3kRMssMpORn/bqw
 Lpbb8j/LKYzXQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4NC2F359prz9rxY;
 Wed, 16 Nov 2022 13:20:23 +0100 (CET)
From: Philip Kaludercic <philipk@HIDDEN>
To: Feng Shu <tumashu@HIDDEN>
Subject: Re: bug#59087: 29.0.50; package-vc-update error
In-Reply-To: <87bkp7cdht.fsf@HIDDEN> (Feng Shu's message of "Wed, 16 Nov 2022
 20:03:58 +0800")
References: <87v8nr333x.fsf@HIDDEN> <874jv13h6c.fsf@HIDDEN>
 <878rkdkmqe.fsf@HIDDEN> <874jv01ray.fsf@HIDDEN>
 <87fsejybcz.fsf@HIDDEN> <871qq38g54.fsf@HIDDEN>
 <878rkbs178.fsf@HIDDEN> <87wn7vns64.fsf@HIDDEN>
 <87bkp7cdht.fsf@HIDDEN>
Date: Wed, 16 Nov 2022 12:20:23 +0000
Message-ID: <87o7t7nla0.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59087
Cc: 59087 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Feng Shu <tumashu@HIDDEN> writes:

> Philip Kaludercic <philipk@HIDDEN> writes:
>
>> Feng Shu <tumashu@HIDDEN> writes:
>>
>>> package-vc-prepare-patch seem to run in wrong directory:
>>
>> This and the other two issues should be fixed on the branch.  Note that
>> I have updated it and rebased it onto master, so you might need to do a
>> reset.
>
> Good job, I do not test new code today, but I have a question:
> If I run package-vc-install pyim, then I run
> package-vc-install-from-checkout /path/to/pyim.git, what will happened?

I would expect an error to be raised, because the basename ("pyim")
would already have a directory entry in ~/.emacs.d/elpa/.  Currently
this is a generic file error, we could replace it with something else,
e.g. a user-error that indicates that the name is already used.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59087; Package emacs. Full text available.

Message received at 59087 <at> debbugs.gnu.org:


Received: (at 59087) by debbugs.gnu.org; 16 Nov 2022 12:19:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 16 07:19:12 2022
Received: from localhost ([127.0.0.1]:56270 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ovHNo-0004go-5b
	for submit <at> debbugs.gnu.org; Wed, 16 Nov 2022 07:19:12 -0500
Received: from mout01.posteo.de ([185.67.36.65]:52963)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philipk@HIDDEN>) id 1ovHNj-0004gF-5z
 for 59087 <at> debbugs.gnu.org; Wed, 16 Nov 2022 07:19:11 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 443AB240028
 for <59087 <at> debbugs.gnu.org>; Wed, 16 Nov 2022 13:19:00 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1668601141; bh=7mtXwAplnB3b1gqESNB7XE+DwnsOhVrvMxgVdJukeOM=;
 h=From:To:Cc:Subject:Date:From;
 b=SS6+9XIIs7GxvM7z2FIxIOGAdrux/WRuM6wRPjShip17gU0pckEm8HrC6rRbBI3Wb
 Qx22DCMKhTyUzkNc1AdaFqfrVi9HnPmTA6HtOZJ7e3rk+yjpu7wS+vrrG/0qp1uUAE
 /qIN5KRdBrDmIHmno4LNl+uO6fuYrPGCui+Dxtwzf8oo35iiELe4lgM0hW1XS0yxDu
 kbviyRGJo0PDcoyYm7UUXp/oYsIa3kiVUfT41wyTZBSXrfAqP0uJVMZBMVzgHKNsaH
 Zxd/DDPHrjJObLwW5SZ6CGycbGGbHXD8Xv8sMEHq5oUDYc9pdKkigJXsT6juyABT86
 +dashoza/DPnQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4NC2CS1sj4z9rxY;
 Wed, 16 Nov 2022 13:18:57 +0100 (CET)
From: Philip Kaludercic <philipk@HIDDEN>
To: Feng Shu <tumashu@HIDDEN>
Subject: Re: bug#59087: 29.0.50; package-vc-update error
In-Reply-To: <87fsejcdm2.fsf@HIDDEN> (Feng Shu's message of "Wed, 16 Nov 2022
 20:01:25 +0800")
References: <87v8nr333x.fsf@HIDDEN> <874jv13h6c.fsf@HIDDEN>
 <878rkdkmqe.fsf@HIDDEN> <874jv01ray.fsf@HIDDEN>
 <87fsejybcz.fsf@HIDDEN> <871qq38g54.fsf@HIDDEN>
 <87fsejcdm2.fsf@HIDDEN>
Date: Wed, 16 Nov 2022 12:18:57 +0000
Message-ID: <87sfijnlce.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59087
Cc: 59087 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Feng Shu <tumashu@HIDDEN> writes:

> Philip Kaludercic <philipk@HIDDEN> writes:
>
>> Feng Shu <tumashu@HIDDEN> writes:
>>
>>> Philip Kaludercic <philipk@HIDDEN> writes:
>>>
>>>> Thank you for all these stack traces, I have managed to reproduce and
>>>> resolve all the mistakes -- at least on my end.  The new state is still
>>>> on scratch/package-vc-fixes.
>>>>
>>>
>>> Ok, new info :-)
>>>
>>> 1. package-vc-update is unusable when first run emacs.
>>
>> Unusable in what sense?  The command is not auto-loaded, so you need to
>>
>>   M-x load-library RET package-vc RET
>>
>> first.
>
> Yes, I mean command is not auto-loaded :-)

Do you think we should make it such?  The command is strictly speaking
not necessary, because package-update does the same thing.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59087; Package emacs. Full text available.

Message received at 59087 <at> debbugs.gnu.org:


Received: (at 59087) by debbugs.gnu.org; 16 Nov 2022 12:04:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 16 07:04:09 2022
Received: from localhost ([127.0.0.1]:56258 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ovH9F-0004LJ-8g
	for submit <at> debbugs.gnu.org; Wed, 16 Nov 2022 07:04:09 -0500
Received: from m12-15.163.com ([220.181.12.15]:30914)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tumashu@HIDDEN>) id 1ovH9C-0004Km-LR
 for 59087 <at> debbugs.gnu.org; Wed, 16 Nov 2022 07:04:08 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-ID:MIME-Version; bh=EgGJq
 jRHkdDkwQODDEBQq/+uoX4hSgscQzFjmnR/4VM=; b=VQ0RAUQGaAo0R0TYLSRQe
 VYg5BQtaYPbGwfbUfX2XMWdsiXlpd9TegJo1dL4XEUCvaQHBTPl4Rd0TAndouqJN
 zTK1J0xtpamCac/mgZ4t0Qeazo+U89Bm2M/vtPeTNQCYcCGEpQYL1tAdknTlgzh5
 6g5uN0knYfLK3WUu+uJOok=
Received: from Guix (unknown [49.88.144.183])
 by smtp11 (Coremail) with SMTP id D8CowAD3goCu0XRj7yMSAA--.1202S2;
 Wed, 16 Nov 2022 20:03:58 +0800 (CST)
From: Feng Shu <tumashu@HIDDEN>
To: Philip Kaludercic <philipk@HIDDEN>
Subject: Re: bug#59087: 29.0.50; package-vc-update error
In-Reply-To: <87wn7vns64.fsf@HIDDEN> (Philip Kaludercic's message of "Wed, 
 16 Nov 2022 09:51:31 +0000")
References: <87v8nr333x.fsf@HIDDEN> <874jv13h6c.fsf@HIDDEN>
 <878rkdkmqe.fsf@HIDDEN> <874jv01ray.fsf@HIDDEN>
 <87fsejybcz.fsf@HIDDEN> <871qq38g54.fsf@HIDDEN>
 <878rkbs178.fsf@HIDDEN> <87wn7vns64.fsf@HIDDEN>
Date: Wed, 16 Nov 2022 20:03:58 +0800
Message-ID: <87bkp7cdht.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-CM-TRANSID: D8CowAD3goCu0XRj7yMSAA--.1202S2
X-Coremail-Antispam: 1Uf129KBjvdXoWrJF4xGw1ktF13Zr1rJw4fZrb_yoWxWFcEgr
 1ay34Fqw4Dta1kXa4rCFn7uFW8KrWIqFyUKr1DXF4Ivr1rKwsxZana9ryfua1DAFW3t3Z7
 Krs8K3Z5Ary2gjkaLaAFLSUrUUUUUb8apTn2vfkv8UJUUUU8Yxn0WfASr-VFAUDa7-sFnT
 9fnUUvcSsGvfC2KfnxnUUI43ZEXa7sRPhLj3UUUUU==
X-Originating-IP: [49.88.144.183]
X-CM-SenderInfo: 5wxpt2lkx6il2tof0z/xtbBERW71FaELcjp6wABsf
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59087
Cc: 59087 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Philip Kaludercic <philipk@HIDDEN> writes:

> Feng Shu <tumashu@HIDDEN> writes:
>
>> package-vc-prepare-patch seem to run in wrong directory:
>
> This and the other two issues should be fixed on the branch.  Note that
> I have updated it and rebased it onto master, so you might need to do a
> reset.

Good job, I do not test new code today, but I have a question:
If I run package-vc-install pyim, then I run
package-vc-install-from-checkout /path/to/pyim.git, what will happened?



>
> I am still uncertain what you mean when you say that package-vc-update
> is not usable.  When that is fixed, I'll be able to apply the changes
> onto master.

-- 





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59087; Package emacs. Full text available.

Message received at 59087 <at> debbugs.gnu.org:


Received: (at 59087) by debbugs.gnu.org; 16 Nov 2022 12:01:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 16 07:01:40 2022
Received: from localhost ([127.0.0.1]:56254 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ovH6p-0004HV-FT
	for submit <at> debbugs.gnu.org; Wed, 16 Nov 2022 07:01:39 -0500
Received: from m12-12.163.com ([220.181.12.12]:64223)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tumashu@HIDDEN>) id 1ovH6l-0004HC-3y
 for 59087 <at> debbugs.gnu.org; Wed, 16 Nov 2022 07:01:38 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-ID:MIME-Version; bh=FnzQl
 KGC3fzc2AUGWn+MqgalHnGCsNAJd0B0EQORJ4o=; b=haQ9Fi9k5aobrKOL9SlTF
 N/thI9we8CO3sR8tS2BxN9y4HxIUwKsjE8CyvdCG+zU3Jw7I/BvZFULXnnO2vfOc
 wrQGFcsmdo7XB5S9e6KfB5U84H07vtW+aUUMEiAI+/DNkgfvasG7sFzz9L4WQdu5
 uLBFWmYuOjjeDsffduYEc4=
Received: from Guix (unknown [49.88.144.183])
 by smtp8 (Coremail) with SMTP id DMCowAD3fAkU0XRjNo28oQ--.48162S2;
 Wed, 16 Nov 2022 20:01:25 +0800 (CST)
From: Feng Shu <tumashu@HIDDEN>
To: Philip Kaludercic <philipk@HIDDEN>
Subject: Re: bug#59087: 29.0.50; package-vc-update error
In-Reply-To: <871qq38g54.fsf@HIDDEN> (Philip Kaludercic's message of "Wed, 
 16 Nov 2022 08:20:23 +0000")
References: <87v8nr333x.fsf@HIDDEN> <874jv13h6c.fsf@HIDDEN>
 <878rkdkmqe.fsf@HIDDEN> <874jv01ray.fsf@HIDDEN>
 <87fsejybcz.fsf@HIDDEN> <871qq38g54.fsf@HIDDEN>
Date: Wed, 16 Nov 2022 20:01:25 +0800
Message-ID: <87fsejcdm2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-CM-TRANSID: DMCowAD3fAkU0XRjNo28oQ--.48162S2
X-Coremail-Antispam: 1Uf129KBjvJXoWxXF4furWfAF4kCr4DGF1kGrg_yoWrJw45pr
 W7uwnIqa4kKw1xAryftw48uFW5tFWkKa98JrZrt3y2kF1UCr1Iqrya9a90qFW5Gr13t34D
 XaykuwsxXrW8ZrJanT9S1TB71UUUUUUqnTZGkaVYY2UrUUUUjbIjqfuFe4nvWSU5nxnvy2
 9KBjDUYxBIdaVFxhVjvjDU0xZFpf9x0pZg4rcUUUUU=
X-Originating-IP: [49.88.144.183]
X-CM-SenderInfo: 5wxpt2lkx6il2tof0z/xtbBERW71FaELcjp6wAAse
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59087
Cc: 59087 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Philip Kaludercic <philipk@HIDDEN> writes:

> Feng Shu <tumashu@HIDDEN> writes:
>
>> Philip Kaludercic <philipk@HIDDEN> writes:
>>
>>> Thank you for all these stack traces, I have managed to reproduce and
>>> resolve all the mistakes -- at least on my end.  The new state is still
>>> on scratch/package-vc-fixes.
>>>
>>
>> Ok, new info :-)
>>
>> 1. package-vc-update is unusable when first run emacs.
>
> Unusable in what sense?  The command is not auto-loaded, so you need to
>
>   M-x load-library RET package-vc RET
>
> first.

Yes, I mean command is not auto-loaded :-)


>
>> 2. when I run 'package-vc-install pyim' twice, package-list-package
>> "*Packages*" buffer will show pyim twice, is it a feature or bug? like:
>
> No, that was a bug I assumed was resolved... I'll take a look at it
> again.
>
>> ```
>>   wrap-region                    20140117.720   dependency            Wr=
ap text with punctation or tag
>>   pyim 16f7c3cf0736a65d8af0c8ba8396343dbd17e368 source A Chinese input
>> method support quanpin, shuangpin, wubi, cangjie and rime.
>>   pyim 16f7c3cf0736a65d8af0c8ba8396343dbd17e368 source A Chinese input
>> method support quanpin, shuangpin, wubi, cangjie and rime.
>>   allout                         2.3            built-in              ex=
tensive outline mode for use alone and with other modes
>>   allout-widgets                 1.0            built-in              Vi=
sually highlight allout outline structure.
>>
>> ```
>>
>> In this time, when I run package-delete pyim, show
>>
>> ```
>> Error in post-command-hook (package-menu--post-refresh): (file-missing
>> "Opening directory" "=E6=B2=A1=E6=9C=89=E9=82=A3=E4=B8=AA=E6=96=87=E4=BB=
=B6=E6=88=96=E7=9B=AE=E5=BD=95"=20
>> "/home/feng/.emacs.d/elpa-29/pyim")
>> ```
>>
>> which mean have no "/home/feng/.emacs.d/elpa-29/pyim" file or directory.
>
> Interesting.
>
>> 3. package-vc-install-from-checkout is unusable, I use vertico. show:
>>
>> ```
>> Debugger entered--Lisp error: (cl-assertion-failed (dir nil))
>>   cl--assertion-failed(dir)
>>   package-vc--unpack-1(#s(package-desc :name pyim :version nil
>> :summary "No description available." :reqs nil :kind vc :archive nil
>> :dir nil :extras nil :signed nil) "/home/feng/.emacs.d/elpa-29/pyim")
>>   package-vc-install-from-checkout("/home/feng/projects/emacs-packages/p=
yim/" "pyim")
>>   funcall-interactively(package-vc-install-from-checkout "/home/feng/pro=
jects/emacs-packages/pyim/" "pyim")
>>   call-interactively(package-vc-install-from-checkout record nil)
>>   command-execute(package-vc-install-from-checkout record)
>>   execute-extended-command(nil "package-vc-install-from-checkout" nil)
>>   funcall-interactively(execute-extended-command nil "package-vc-install=
-from-checkout" nil)
>>   call-interactively(execute-extended-command nil nil)
>>   command-execute(execute-extended-command)
>>   recursive-edit()
>>   debug(error (file-already-exists "File already exists" "/home/feng/.em=
acs.d/elpa-29/pyim"))
>>   make-symbolic-link("~/projects/emacs-packages/pyim/" "/home/feng/.emac=
s.d/elpa-29/pyim")
>>   package-vc-install-from-checkout("~/projects/emacs-packages/pyim/" "py=
im")
>>   funcall-interactively(package-vc-install-from-checkout "~/projects/ema=
cs-packages/pyim/" "pyim")
>>   call-interactively(package-vc-install-from-checkout record nil)
>>   command-execute(package-vc-install-from-checkout record)
>>   execute-extended-command(nil "package-vc-install-from-checkout" nil)
>>   funcall-interactively(execute-extended-command nil "package-vc-install=
-from-checkout" nil)
>>   call-interactively(execute-extended-command nil nil)
>>   command-execute(execute-extended-command)
>> ```
>
> I'll take a look at what is going on here, and report back.

--=20





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59087; Package emacs. Full text available.

Message received at 59087 <at> debbugs.gnu.org:


Received: (at 59087) by debbugs.gnu.org; 16 Nov 2022 09:51:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 16 04:51:48 2022
Received: from localhost ([127.0.0.1]:56126 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ovF5A-0000m8-HD
	for submit <at> debbugs.gnu.org; Wed, 16 Nov 2022 04:51:48 -0500
Received: from mout02.posteo.de ([185.67.36.66]:43027)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philipk@HIDDEN>) id 1ovF58-0000lu-7U
 for 59087 <at> debbugs.gnu.org; Wed, 16 Nov 2022 04:51:47 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 4C9AF240104
 for <59087 <at> debbugs.gnu.org>; Wed, 16 Nov 2022 10:51:39 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1668592300; bh=gWYaDNkos7GgMFcgN3rWTBW+1bVqNhjl16q+msXukv8=;
 h=From:To:Cc:Subject:Date:From;
 b=G/rzIpZvHpzg7n/ftvHkgLkow1d6er5cp6XkGMB4rrxEz2dK3+aIUXwe7iEnzHXjO
 blKf+nEJ+jWLs6sybOdAEkFUNOWc/ZarTe3skEK021aAuegcrWLDJmouq7eBiDEXrh
 TRAcdUy2ygMyU+pXnc3akgf71bRC7us/gDwDg8TEUcOhwSY169EsHA5kI7EowvxIFw
 ZNJ6XfbRNka6f6B8oEetN2tt5j0LIW8a1UmN6GHS1xoeAnPHKFqRXrVLrRgtRS6NCg
 YzTfdErRfI+xKl/jNCCQMx82Ek/gH5ufgxzKYXcWmoVbshfphCkF+kNAi40RmdCd0S
 dTadyFzcWELNw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4NByxQ4jJ2z9rxK;
 Wed, 16 Nov 2022 10:51:35 +0100 (CET)
From: Philip Kaludercic <philipk@HIDDEN>
To: Feng Shu <tumashu@HIDDEN>
Subject: Re: bug#59087: 29.0.50; package-vc-update error
In-Reply-To: <878rkbs178.fsf@HIDDEN> (Feng Shu's message of "Wed, 16 Nov 2022
 17:22:51 +0800")
References: <87v8nr333x.fsf@HIDDEN> <874jv13h6c.fsf@HIDDEN>
 <878rkdkmqe.fsf@HIDDEN> <874jv01ray.fsf@HIDDEN>
 <87fsejybcz.fsf@HIDDEN> <871qq38g54.fsf@HIDDEN>
 <878rkbs178.fsf@HIDDEN>
Date: Wed, 16 Nov 2022 09:51:31 +0000
Message-ID: <87wn7vns64.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59087
Cc: 59087 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Feng Shu <tumashu@HIDDEN> writes:

> package-vc-prepare-patch seem to run in wrong directory:

This and the other two issues should be fixed on the branch.  Note that
I have updated it and rebased it onto master, so you might need to do a
reset.

I am still uncertain what you mean when you say that package-vc-update
is not usable.  When that is fixed, I'll be able to apply the changes
onto master.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59087; Package emacs. Full text available.

Message received at 59087 <at> debbugs.gnu.org:


Received: (at 59087) by debbugs.gnu.org; 16 Nov 2022 09:23:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 16 04:23:05 2022
Received: from localhost ([127.0.0.1]:56073 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ovEdM-0006F6-UN
	for submit <at> debbugs.gnu.org; Wed, 16 Nov 2022 04:23:05 -0500
Received: from m12-14.163.com ([220.181.12.14]:51473)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tumashu@HIDDEN>) id 1ovEdJ-0006EJ-8n
 for 59087 <at> debbugs.gnu.org; Wed, 16 Nov 2022 04:23:03 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-ID:MIME-Version; bh=lbR71
 ldCiXW81PdfXrYITPDXP6r57BjyWjSaTibS9AU=; b=Av19UYXPabSRPeSsfwBa9
 B4km7iRq+cawgig1vLVF22tEMg/W8tcM+UBg9MnJndOGd+J4OiUgXHLse3Wbj8lx
 2t39F43Kfom308pPSTv/xoZV1fq1LQMvnXYCveTbpWh0AJYEWoR6kRynQcdhKoF9
 HKkXkQEgcYcCHIUTmmqvT0=
Received: from Tumashu (unknown [218.92.14.78])
 by smtp10 (Coremail) with SMTP id DsCowACXk7Drq3Rj6PIeNA--.14908S2;
 Wed, 16 Nov 2022 17:22:51 +0800 (CST)
From: Feng Shu <tumashu@HIDDEN>
To: Philip Kaludercic <philipk@HIDDEN>
Subject: Re: bug#59087: 29.0.50; package-vc-update error
In-Reply-To: <871qq38g54.fsf@HIDDEN> (Philip Kaludercic's message of "Wed, 
 16 Nov 2022 08:20:23 +0000")
References: <87v8nr333x.fsf@HIDDEN> <874jv13h6c.fsf@HIDDEN>
 <878rkdkmqe.fsf@HIDDEN> <874jv01ray.fsf@HIDDEN>
 <87fsejybcz.fsf@HIDDEN> <871qq38g54.fsf@HIDDEN>
Date: Wed, 16 Nov 2022 17:22:51 +0800
Message-ID: <878rkbs178.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-CM-TRANSID: DsCowACXk7Drq3Rj6PIeNA--.14908S2
X-Coremail-Antispam: 1Uf129KBjvJXoW7WrWktw48CrWxJF4xXw1UZFb_yoW8ZFWxpr
 W5G3Z8K3y8t3W3A39F9F1UuF4YkFZ0yrWjgr4Dt3WDXF1DWF18Zry8KFs8ua98Gr1fK39F
 y34q9wn7G34UJrJanT9S1TB71UUUUUUqnTZGkaVYY2UrUUUUjbIjqfuFe4nvWSU5nxnvy2
 9KBjDUYxBIdaVFxhVjvjDU0xZFpf9x07UbTmDUUUUU=
X-Originating-IP: [218.92.14.78]
X-CM-SenderInfo: 5wxpt2lkx6il2tof0z/1tbiSgu71GI0Vb3fQgAAsN
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 59087
Cc: 59087 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)



package-vc-prepare-patch seem to run in wrong directory:

```
Debugger entered--Lisp error: (error "Buffer *Packages* is not associated with a file")
  signal(error ("Buffer *Packages* is not associated with a file"))
  error("Buffer %s is not associated with a file" "*Packages*")
  vc-ensure-vc-buffer()
  vc-prepare-patch("Feng Shu <tumashu@HIDDEN>" nil ("HEAD"))
  package-vc-prepare-patch(#s(package-desc :name pyim :version (5 2 8) :summary "A Chinese input method support quanpin, shuangpin,..." :reqs ((emacs (25 1)) (async (1 6)) (xr (1 13))) :kind vc :archive nil :dir "/home/feng/.emacs.d/elpa-29/pyim" :extras ((:commit . "93fab3c9e8c2490687781d45c1cecead0bd3ecf2") (:authors ("Ye Wenbin" . "wenbinye@HIDDEN") ("Feng Shu" . "tumashu@HIDDEN")) (:maintainer "Feng Shu" . "tumashu@HIDDEN") (:keywords "convenience" "chinese" "pinyin" "input-method") (:url . "https://github.com/tumashu/pyim")) :signed nil) nil ("HEAD"))
  funcall-interactively(package-vc-prepare-patch #s(package-desc :name pyim :version (5 2 8) :summary "A Chinese input method support quanpin, shuangpin,..." :reqs ((emacs (25 1)) (async (1 6)) (xr (1 13))) :kind vc :archive nil :dir "/home/feng/.emacs.d/elpa-29/pyim" :extras ((:commit . "93fab3c9e8c2490687781d45c1cecead0bd3ecf2") (:authors ("Ye Wenbin" . "wenbinye@HIDDEN") ("Feng Shu" . "tumashu@HIDDEN")) (:maintainer "Feng Shu" . "tumashu@HIDDEN") (:keywords "convenience" "chinese" "pinyin" "input-method") (:url . "https://github.com/tumashu/pyim")) :signed nil) nil ("HEAD"))
  call-interactively(package-vc-prepare-patch record nil)
  command-execute(package-vc-prepare-patch record)
  execute-extended-command(nil "package-vc-prepare-patch" nil)
  funcall-interactively(execute-extended-command nil "package-vc-prepare-patch" nil)
  call-interactively(execute-extended-command nil nil)
  command-execute(execute-extended-command)

```
-- 





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59087; Package emacs. Full text available.

Message received at 59087 <at> debbugs.gnu.org:


Received: (at 59087) by debbugs.gnu.org; 16 Nov 2022 08:20:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 16 03:20:33 2022
Received: from localhost ([127.0.0.1]:56000 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ovDer-0004f0-8T
	for submit <at> debbugs.gnu.org; Wed, 16 Nov 2022 03:20:33 -0500
Received: from mout01.posteo.de ([185.67.36.65]:44531)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philipk@HIDDEN>) id 1ovDeo-0004el-3x
 for 59087 <at> debbugs.gnu.org; Wed, 16 Nov 2022 03:20:31 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 0B15024002B
 for <59087 <at> debbugs.gnu.org>; Wed, 16 Nov 2022 09:20:23 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1668586824; bh=naZvdDzjxen0jjnJPvudkkukNR/W1DYnMcdKIShDJ+g=;
 h=From:To:Cc:Subject:Date:From;
 b=Rr73sjItObP7nt7/9nQdEu8jSIHa2bowIpaAC1mEVDbuHMqO4h4vJHQdY5Zm3c75b
 Ig9pOGRjLGUW/NnOc6bDsZobNAaPj1pD3+vtwtH7n9m2pAGf+wnPMbNLqfCFDh/Pp/
 1gSH6sFU3dN5ym3eK0yZmgaaMAx0ld9KtNHw5k/V4tC0VwjpZDr4i+H+hEwUVAiJQ/
 3faTpV4Z70zgCAFp5Olxsd4zlqFMbPqkNm5jqyZ1ypCxcXJ3xnGcy9HSfmulJuJGy/
 19BAAhnvkyLqik3UjwRr19dVDJHkdYcybjtZqLwYxR0j8+EnYTYolmdHfoottbpcx/
 urVz58mSK0WAw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4NBww71Sggz9rxS;
 Wed, 16 Nov 2022 09:20:23 +0100 (CET)
From: Philip Kaludercic <philipk@HIDDEN>
To: Feng Shu <tumashu@HIDDEN>
Subject: Re: bug#59087: 29.0.50; package-vc-update error
In-Reply-To: <87fsejybcz.fsf@HIDDEN> (Feng Shu's message of "Wed, 16 Nov 2022
 08:46:52 +0800")
References: <87v8nr333x.fsf@HIDDEN> <874jv13h6c.fsf@HIDDEN>
 <878rkdkmqe.fsf@HIDDEN> <874jv01ray.fsf@HIDDEN>
 <87fsejybcz.fsf@HIDDEN>
Date: Wed, 16 Nov 2022 08:20:23 +0000
Message-ID: <871qq38g54.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59087
Cc: 59087 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Feng Shu <tumashu@HIDDEN> writes:

> Philip Kaludercic <philipk@HIDDEN> writes:
>
>> Thank you for all these stack traces, I have managed to reproduce and
>> resolve all the mistakes -- at least on my end.  The new state is still
>> on scratch/package-vc-fixes.
>>
>
> Ok, new info :-)
>
> 1. package-vc-update is unusable when first run emacs.

Unusable in what sense?  The command is not auto-loaded, so you need to

  M-x load-library RET package-vc RET

first.

> 2. when I run 'package-vc-install pyim' twice, package-list-package
> "*Packages*" buffer will show pyim twice, is it a feature or bug? like:

No, that was a bug I assumed was resolved... I'll take a look at it
again.

> ```
>   wrap-region                    20140117.720   dependency            Wra=
p text with punctation or tag
>   pyim 16f7c3cf0736a65d8af0c8ba8396343dbd17e368 source A Chinese input
> method support quanpin, shuangpin, wubi, cangjie and rime.
>   pyim 16f7c3cf0736a65d8af0c8ba8396343dbd17e368 source A Chinese input
> method support quanpin, shuangpin, wubi, cangjie and rime.
>   allout                         2.3            built-in              ext=
ensive outline mode for use alone and with other modes
>   allout-widgets                 1.0            built-in              Vis=
ually highlight allout outline structure.
>
> ```
>
> In this time, when I run package-delete pyim, show
>
> ```
> Error in post-command-hook (package-menu--post-refresh): (file-missing
> "Opening directory" "=E6=B2=A1=E6=9C=89=E9=82=A3=E4=B8=AA=E6=96=87=E4=BB=
=B6=E6=88=96=E7=9B=AE=E5=BD=95"=20
> "/home/feng/.emacs.d/elpa-29/pyim")
> ```
>
> which mean have no "/home/feng/.emacs.d/elpa-29/pyim" file or directory.

Interesting.

> 3. package-vc-install-from-checkout is unusable, I use vertico. show:
>
> ```
> Debugger entered--Lisp error: (cl-assertion-failed (dir nil))
>   cl--assertion-failed(dir)
>   package-vc--unpack-1(#s(package-desc :name pyim :version nil
> :summary "No description available." :reqs nil :kind vc :archive nil
> :dir nil :extras nil :signed nil) "/home/feng/.emacs.d/elpa-29/pyim")
>   package-vc-install-from-checkout("/home/feng/projects/emacs-packages/py=
im/" "pyim")
>   funcall-interactively(package-vc-install-from-checkout "/home/feng/proj=
ects/emacs-packages/pyim/" "pyim")
>   call-interactively(package-vc-install-from-checkout record nil)
>   command-execute(package-vc-install-from-checkout record)
>   execute-extended-command(nil "package-vc-install-from-checkout" nil)
>   funcall-interactively(execute-extended-command nil "package-vc-install-=
from-checkout" nil)
>   call-interactively(execute-extended-command nil nil)
>   command-execute(execute-extended-command)
>   recursive-edit()
>   debug(error (file-already-exists "File already exists" "/home/feng/.ema=
cs.d/elpa-29/pyim"))
>   make-symbolic-link("~/projects/emacs-packages/pyim/" "/home/feng/.emacs=
.d/elpa-29/pyim")
>   package-vc-install-from-checkout("~/projects/emacs-packages/pyim/" "pyi=
m")
>   funcall-interactively(package-vc-install-from-checkout "~/projects/emac=
s-packages/pyim/" "pyim")
>   call-interactively(package-vc-install-from-checkout record nil)
>   command-execute(package-vc-install-from-checkout record)
>   execute-extended-command(nil "package-vc-install-from-checkout" nil)
>   funcall-interactively(execute-extended-command nil "package-vc-install-=
from-checkout" nil)
>   call-interactively(execute-extended-command nil nil)
>   command-execute(execute-extended-command)
> ```

I'll take a look at what is going on here, and report back.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59087; Package emacs. Full text available.

Message received at 59087 <at> debbugs.gnu.org:


Received: (at 59087) by debbugs.gnu.org; 16 Nov 2022 00:47:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 15 19:47:12 2022
Received: from localhost ([127.0.0.1]:55579 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ov6a6-0007jP-FH
	for submit <at> debbugs.gnu.org; Tue, 15 Nov 2022 19:47:11 -0500
Received: from m12.mail.163.com ([220.181.12.215]:54940)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tumashu@HIDDEN>) id 1ov6a1-0007j8-Vk
 for 59087 <at> debbugs.gnu.org; Tue, 15 Nov 2022 19:47:09 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-ID:MIME-Version; bh=gzAzB
 qucTu8v6RSTUG4yC9qE32NZ8lhHVs7Wi9rmH9A=; b=ejqr5MQse+PLoqSWQoGoy
 0hUhqs8cQRsYTVHriH9tR6qopvc1fIMv5C6jQXv453oUy+NIyi7ObnmGbI3XMLwR
 bYKMIwt+UviSIDsHm5Chwri1FMbE6e3Dl5hjrFFQyWo4H2bP6SPJhmx11awczzR4
 MNVYwwBjTdE42G8cusJHSA=
Received: from Tumashu (unknown [218.92.14.78])
 by zwqz-smtp-mta-g0-0 (Coremail) with SMTP id _____wBHJV38MnRjorc4AA--.35699S2;
 Wed, 16 Nov 2022 08:46:53 +0800 (CST)
From: Feng Shu <tumashu@HIDDEN>
To: Philip Kaludercic <philipk@HIDDEN>
Subject: Re: bug#59087: 29.0.50; package-vc-update error
In-Reply-To: <874jv01ray.fsf@HIDDEN> (Philip Kaludercic's message of "Tue, 
 15 Nov 2022 09:48:53 +0000")
References: <87v8nr333x.fsf@HIDDEN> <874jv13h6c.fsf@HIDDEN>
 <878rkdkmqe.fsf@HIDDEN> <874jv01ray.fsf@HIDDEN>
Date: Wed, 16 Nov 2022 08:46:52 +0800
Message-ID: <87fsejybcz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-CM-TRANSID: _____wBHJV38MnRjorc4AA--.35699S2
X-Coremail-Antispam: 1Uf129KBjvAXoWfurWUXr13KFWrGr1xAFy7Wrg_yoW5Jw1xuo
 Z5JF4aqrsxK3yDCrn5Ka1xWrZ7Xw1Sgw1UJw1vqwn8ta4SyrWUW345Ga1xXan7Aa4jkws5
 XF9xKas0yrs5XF1fn29KB7ZKAUJUUUUU529EdanIXcx71UUUUU7v73VFW2AGmfu7bjvjm3
 AaLaJ3UbIYCTnIWIevJa73UjIFyTuYvjxUU9N3UUUUU
X-Originating-IP: [218.92.14.78]
X-CM-SenderInfo: 5wxpt2lkx6il2tof0z/xtbBEQW71FaELbqfwwAAsi
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 59087
Cc: 59087 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Philip Kaludercic <philipk@HIDDEN> writes:

> Thank you for all these stack traces, I have managed to reproduce and
> resolve all the mistakes -- at least on my end.  The new state is still
> on scratch/package-vc-fixes.
>

Ok, new info :-)

1. package-vc-update is unusable when first run emacs.

2. when I run 'package-vc-install pyim' twice, package-list-package
"*Packages*" buffer will show pyim twice, is it a feature or bug? like:

```
  wrap-region                    20140117.720   dependency            Wrap =
text with punctation or tag
  pyim                           16f7c3cf0736a65d8af0c8ba8396343dbd17e368 s=
ource                A Chinese input method support quanpin, shuangpin, wub=
i, cangjie and rime.
  pyim                           16f7c3cf0736a65d8af0c8ba8396343dbd17e368 s=
ource                A Chinese input method support quanpin, shuangpin, wub=
i, cangjie and rime.
  allout                         2.3            built-in              exten=
sive outline mode for use alone and with other modes
  allout-widgets                 1.0            built-in              Visua=
lly highlight allout outline structure.

```

In this time, when I run package-delete pyim, show

```
Error in post-command-hook (package-menu--post-refresh): (file-missing
"Opening directory" "=E6=B2=A1=E6=9C=89=E9=82=A3=E4=B8=AA=E6=96=87=E4=BB=B6=
=E6=88=96=E7=9B=AE=E5=BD=95"=20
"/home/feng/.emacs.d/elpa-29/pyim")
```

which mean have no "/home/feng/.emacs.d/elpa-29/pyim" file or directory.


3. package-vc-install-from-checkout is unusable, I use vertico. show:

```
Debugger entered--Lisp error: (cl-assertion-failed (dir nil))
  cl--assertion-failed(dir)
  package-vc--unpack-1(#s(package-desc :name pyim :version nil :summary "No=
 description available." :reqs nil :kind vc :archive nil :dir nil :extras n=
il :signed nil) "/home/feng/.emacs.d/elpa-29/pyim")
  package-vc-install-from-checkout("/home/feng/projects/emacs-packages/pyim=
/" "pyim")
  funcall-interactively(package-vc-install-from-checkout "/home/feng/projec=
ts/emacs-packages/pyim/" "pyim")
  call-interactively(package-vc-install-from-checkout record nil)
  command-execute(package-vc-install-from-checkout record)
  execute-extended-command(nil "package-vc-install-from-checkout" nil)
  funcall-interactively(execute-extended-command nil "package-vc-install-fr=
om-checkout" nil)
  call-interactively(execute-extended-command nil nil)
  command-execute(execute-extended-command)
  recursive-edit()
  debug(error (file-already-exists "File already exists" "/home/feng/.emacs=
.d/elpa-29/pyim"))
  make-symbolic-link("~/projects/emacs-packages/pyim/" "/home/feng/.emacs.d=
/elpa-29/pyim")
  package-vc-install-from-checkout("~/projects/emacs-packages/pyim/" "pyim")
  funcall-interactively(package-vc-install-from-checkout "~/projects/emacs-=
packages/pyim/" "pyim")
  call-interactively(package-vc-install-from-checkout record nil)
  command-execute(package-vc-install-from-checkout record)
  execute-extended-command(nil "package-vc-install-from-checkout" nil)
  funcall-interactively(execute-extended-command nil "package-vc-install-fr=
om-checkout" nil)
  call-interactively(execute-extended-command nil nil)
  command-execute(execute-extended-command)
```




> Feng Shu <tumashu@HIDDEN> writes:
>
>> Philip Kaludercic <philipk@HIDDEN> writes:
>>
>>> Feng Shu <tumashu@HIDDEN> writes:
>>>
>>>> Debugger entered--Lisp error: (wrong-type-argument stringp nil)
>>>>   make-symbol(nil)
>>>>   package-vc-update(#s(package-desc :name pyim :version (5 2 8)
>>>> :summary "A Chinese input method support quanpin, shuangpin,..."
>>>> :reqs ((emacs (25 1)) (async (1 6)) (xr (1 13))) :kind vc :archive
>>>> nil :dir "/home/feng/.emacs.d/elpa-29/pyim" :extras ((:commit
>>>> . "8c4f7d40c05dc06b3c96c2955e5d72ec268f2b61") (:authors ("Ye Wenbin"
>>>> . "wenbinye@HIDDEN") ("Feng Shu" . "tumashu@HIDDEN")) (:maintainer
>>>> "Feng Shu" . "tumashu@HIDDEN") (:keywords "convenience" "chinese"
>>>> "pinyin" "input-method") (:url . "https://github.com/tumashu/pyim"))> =
:signed nil))
>>>>   package-update(pyim)
>>>>   mapc(package-update (pyim))
>>>>   package-update-all(t)
>>>>   funcall-interactively(package-update-all t)
>>>>   call-interactively(package-update-all record nil)
>>>>   command-execute(package-update-all record)
>>>>   execute-extended-command(nil "package-update-all" nil)
>>>>   funcall-interactively(execute-extended-command nil "package-update-a=
ll" nil)
>>>>   call-interactively(execute-extended-command nil nil)
>>>>   command-execute(execute-extended-command)
>>>
>>> This issue (and the others you reported) might have been resolved on the
>>> scratch/package-vc-fixes branch.  Could you try that out?
>>
>> wow, good job, I install pyim and run package-vc-update again, show:
>>
>> Debugger entered--Lisp error: (cl-assertion-failed (dir nil))
>>   cl--assertion-failed(dir)
>>   package-vc--unpack-1(#s(package-desc :name pyim :version (5 2 8)
>> :summary "A Chinese input method support quanpin, shuangpin,..." :reqs
>> ((emacs (25 1)) (async (1 6)) (xr (1 13))) :kind tar :archive "gnu"
>> :dir nil :extras ((:url . "https://github.com/tumashu/pyim")> (:keywords=
 "convenience" "chinese" "pinyin" "input-method")
>> (:maintainer "Feng Shu" . "tumashu@HIDDEN") (:authors ("Ye Wenbin"
>> . "wenbinye@HIDDEN") ("Feng Shu" . "tumashu@HIDDEN")) (:commit
>> . "93fab3c9e8c2490687781d45c1cecead0bd3ecf2")) :signed nil) nil)
>>   #f(compiled-function (command file-or-list flags) #<bytecode 0xe128298=
62413ae8>)("git" nil ("pull" "--stat"))
>>   run-hook-with-args(#f(compiled-function (command file-or-list flags) #=
<bytecode 0xe12829862413ae8>) "git" nil ("pull" "--stat"))
>>   #f(compiled-function () #<bytecode -0x1712b007cb06d41a>)()
>>   vc-exec-after(#f(compiled-function () #<bytecode -0x1712b007cb06d41a>)=
 nil)
>>   vc--process-sentinel(#<process git> #f(compiled-function () #<bytecode=
 -0x1712b007cb06d41a>) nil)
>>   #f(compiled-function (p msg) #<bytecode 0xef07964a0216b31>)(#<process =
git> "exited abnormally with code 128\n")
>>   apply(#f(compiled-function (p msg) #<bytecode 0xef07964a0216b31>) (#<p=
rocess git> "exited abnormally with code 128\n"))
>>   #f(advice #f(compiled-function (p msg) #<bytecode 0xef07964a0216b31>) =
:after ignore)(#<process git> "exited abnormally with code 128\n")
>>   apply(#f(advice #f(compiled-function (p msg) #<bytecode 0xef07964a0216=
b31>) :after ignore) (#<process git> "exited abnormally with code 128\n"))
>>   #f(advice #f(compiled-function (p msg) #<bytecode
>> -0xa9844be2e2d4106>) :after #f(advice #f(compiled-function (p msg)
>> #<bytecode 0xef07964a0216b31>) :after ignore))(#<process git> "exited
>> abnormally with code 128\n")
>
> Feng Shu <tumashu@HIDDEN> writes:
>
>> Philip Kaludercic <philipk@HIDDEN> writes:
>>
>>> Feng Shu <tumashu@HIDDEN> writes:
>>>
>>>> Debugger entered--Lisp error: (wrong-type-argument stringp nil)
>>>>   make-symbol(nil)
>>>>   package-vc-update(#s(package-desc :name pyim :version (5 2 8)
>>>> :summary "A Chinese input method support quanpin, shuangpin,..."
>>>> :reqs ((emacs (25 1)) (async (1 6)) (xr (1 13))) :kind vc :archive
>>>> nil :dir "/home/feng/.emacs.d/elpa-29/pyim" :extras ((:commit
>>>> . "8c4f7d40c05dc06b3c96c2955e5d72ec268f2b61") (:authors ("Ye Wenbin"
>>>> . "wenbinye@HIDDEN") ("Feng Shu" . "tumashu@HIDDEN")) (:maintainer
>>>> "Feng Shu" . "tumashu@HIDDEN") (:keywords "convenience" "chinese"
>>>> "pinyin" "input-method") (:url . "https://github.com/tumashu/pyim"))> =
:signed nil))
>>>>   package-update(pyim)
>>>>   mapc(package-update (pyim))
>>>>   package-update-all(t)
>>>>   funcall-interactively(package-update-all t)
>>>>   call-interactively(package-update-all record nil)
>>>>   command-execute(package-update-all record)
>>>>   execute-extended-command(nil "package-update-all" nil)
>>>>   funcall-interactively(execute-extended-command nil "package-update-a=
ll" nil)
>>>>   call-interactively(execute-extended-command nil nil)
>>>>   command-execute(execute-extended-command)
>>>
>>> This issue (and the others you reported) might have been resolved on the
>>> scratch/package-vc-fixes branch.  Could you try that out?
>>
>> When I delete pyim and reinstall it, and run pyim-vc-update again, show:
>>
>> Debugger entered--Lisp error: (error "No VC backend is responsible for ~=
/")
>>   signal(error ("No VC backend is responsible for ~/"))
>>   error("No VC backend is responsible for %s" "~/")
>>   vc-responsible-backend("~/")
>>   vc-deduce-fileset-1(t nil nil)
>>   vc-deduce-fileset(t)
>>   vc-pull()
>>   package-vc-update(#s(package-desc :name pyim :version (5 2 8)
>> :summary "A Chinese input method support quanpin, shuangpin,..." :reqs
>> ((emacs (25 1)) (async (1 6)) (xr (1 13))) :kind vc :archive nil :dir
>> "/home/feng/.emacs.d/elpa-29/pyim" :extras ((:commit
>> . "93fab3c9e8c2490687781d45c1cecead0bd3ecf2") (:authors ("Ye Wenbin"
>> . "wenbinye@HIDDEN") ("Feng Shu" . "tumashu@HIDDEN")) (:maintainer
>> "Feng Shu" . "tumashu@HIDDEN") (:keywords "convenience" "chinese"
>> "pinyin" "input-method") (:url . "https://github.com/tumashu/pyim"))> :s=
igned nil))
>>   package-update("pyim")
>>   funcall-interactively(package-update "pyim")
>>   call-interactively(package-update record nil)
>>   command-execute(package-update record)
>>   execute-extended-command(nil "package-update" nil)
>>   funcall-interactively(execute-extended-command nil "package-update" ni=
l)
>>   call-interactively(execute-extended-command nil nil)
>>   command-execute(execute-extended-command)
>
> Feng Shu <tumashu@HIDDEN> writes:
>
>> Philip Kaludercic <philipk@HIDDEN> writes:
>>
>>> Feng Shu <tumashu@HIDDEN> writes:
>>>
>>>> Debugger entered--Lisp error: (wrong-type-argument stringp nil)
>>>>   make-symbol(nil)
>>>>   package-vc-update(#s(package-desc :name pyim :version (5 2 8)
>>>> :summary "A Chinese input method support quanpin, shuangpin,..."
>>>> :reqs ((emacs (25 1)) (async (1 6)) (xr (1 13))) :kind vc :archive
>>>> nil :dir "/home/feng/.emacs.d/elpa-29/pyim" :extras ((:commit
>>>> . "8c4f7d40c05dc06b3c96c2955e5d72ec268f2b61") (:authors ("Ye Wenbin"
>>>> . "wenbinye@HIDDEN") ("Feng Shu" . "tumashu@HIDDEN")) (:maintainer
>>>> "Feng Shu" . "tumashu@HIDDEN") (:keywords "convenience" "chinese"
>>>> "pinyin" "input-method") (:url . "https://github.com/tumashu/pyim"))> =
:signed nil))
>>>>   package-update(pyim)
>>>>   mapc(package-update (pyim))
>>>>   package-update-all(t)
>>>>   funcall-interactively(package-update-all t)
>>>>   call-interactively(package-update-all record nil)
>>>>   command-execute(package-update-all record)
>>>>   execute-extended-command(nil "package-update-all" nil)
>>>>   funcall-interactively(execute-extended-command nil "package-update-a=
ll" nil)
>>>>   call-interactively(execute-extended-command nil nil)
>>>>   command-execute(execute-extended-command)
>>>
>>> This issue (and the others you reported) might have been resolved on the
>>> scratch/package-vc-fixes branch.  Could you try that out?
>>
>> When I run package-vc-install pyim and run package-vc-rebuild pyim,
>> show:
>>
>> Debugger entered--Lisp error: (circular-list (("use-package" :url
>> "https://github.com/jwiegley/use-package" :ignored-files ("LICENSE"
>> "bind-*" "use-package-chords.el") :readme "README.md" :doc
>> "use-package.texi" :news "NEWS.md" :auto-sync t :internal--html-docs
>> (("use-package" . "use-package.html"))) ("validate" :url
>> "https://github.com/Malabarba/validate.el") ("valign" :url
>> "https://github.com/casouri/valign") ("vc-backup" :url
>> "https://git.sr.ht/~pkal/vc-backup" :auto-sync t) ("vc-got" :url
>> "https://git.omarpolo.com/vc-got.git" :ignored-files ("targets"
>> "LICENSE") :auto-sync t) ("vc-hgcmd" :url
>> "https://github.com/muffinmad/emacs-vc-hgcmd" :auto-sync t) (vcard
>> :url "https://git.sv.gnu.org/git/emacs/elpa.git" :branch
>> "externals/vcard") ("vcl-mode" :url "git://git.gnu.org.ua/vcl-mode")
>> ("vdiff" :url "https://github.com/justbur/emacs-vdiff" :auto-sync t)
>> ("vertico" :url "https://github.com/minad/vertico" :doc "README.org"
>> :ignored-files ("*.svg") :renames (("extensions/" "")) :auto-sync t)
>> ("vertico-posframe" :url "https://github.com/tumashu/vertico-posframe"> =
:auto-sync t) (vigenere :url
>> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch
>> "externals/vigenere") (visual-filename-abbrev :url
>> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch
>> "externals/visual-filename-abbrev") (visual-fill :url
>> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch
>> "externals/visual-fill") ("vlf" :url
>> "https://github.com/m00natic/vlfi") ("vundo" :url
>> "https://github.com/casouri/vundo" :ignored-files ("test") :news
>> "NEWS.txt" :auto-sync t) ("wcheck-mode" :url
>> "https://github.com/tlikonen/wcheck-mode") ("wconf" :url
>> "https://github.com/ilohmar/wconf") ("web-server" :url
>> "https://github.com/eschulte/emacs-web-server.git") ("webfeeder" :url
>> "https://gitlab.com/ambrevar/emacs-webfeeder.git") ("websocket" :url
>> "https://github.com/ahyatt/emacs-websocket.git") ("which-key" :url
>> "https://github.com/justbur/emacs-which-key" :auto-sync t) ("windower"
>> :url "https://gitlab.com/ambrevar/emacs-windower") (windresize :url
>> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch
>> "externals/windresize") (wisi :url
>> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch "externals/wisi"
>> :doc ("wisi.texi" "wisitoken-user_guide.texinfo") :release-branch t)
>> (wisitoken-grammar-mode :url
>> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch
>> "externals/wisitoken-grammar-mode") (wpuzzle :url
>> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch
>> "externals/wpuzzle") (xclip :url
>> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch "externals/xclip")
>> ("xelb" :url "https://github.com/ch11ng/xelb.git") (xpm :url
>> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch "externals/xpm")
>> ("xr" :url "https://github.com/mattiase/xr" :ignored-files ("Makefile"
>> ".github" "*-test.el*") :auto-sync t) ("yasnippet" :url
>> "https://github.com/capitaomorte/yasnippet.git")> (yasnippet-classic-sni=
ppets :url
>> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch
>> "externals/yasnippet-classic-snippets") (zones :url
>> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch "externals/zones")
>> ("ztree" :url "https://github.com/fourier/ztree") ("zuul" :url
>> "https://git.sr.ht/~niklaseklund/zuul.el" :news "CHANGELOG.org"
>> :readme "README.md" :auto-sync t) ("ace-window" :url
>> "https://github.com/abo-abo/ace-window" :auto-sync t) ("ack" :url
>> "https://github.com/leoliu/ack-el" :auto-sync t) (ada-mode :url
>> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch
>> "externals/ada-mode" :doc ("ada-mode.texi") :release-branch t)
>> (ada-ref-man :url "https://git.sv.gnu.org/git/emacs/elpa.git" :branch
>> "externals/ada-ref-man") (adaptive-wrap :url
>> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch
>> "externals/adaptive-wrap") (adjust-parens :url
>> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch
>> "externals/adjust-parens") (advice-patch :url
>> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch
>> "externals/advice-patch") (aggressive-completion :url
>> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch
>> "externals/aggressive-completion" :auto-sync t) ("aggressive-indent"
>> :url "https://github.com/Malabarba/aggressive-indent-mod..."> :auto-sync=
 t) ("agitate" :url "https://git.sr.ht/~protesilaos/agitate"> :auto-sync t =
:doc "README.org" :readme "README.md" :ignored-files
>> ("COPYING" "doclicense.texi")) ("ahungry-theme" :url
>> "https://github.com/ahungry/color-theme-ahungry") ("aircon-theme" :url
>> "https://git.sr.ht/~chambln/aircon-theme.el" :ignored-files ("README"
>> "COPYING") :readme ignore :auto-sync t) (all :url
>> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch "externals/all")
>> (ampc :url "https://git.sv.gnu.org/git/emacs/elpa.git" :branch
>> "externals/ampc") ...))
>>   mapcan(append (((afternoon-theme :url
>> "https://github.com/osener/..." :ignored-files ...) (alect-themes :url
>> "https://github.com/alezost..." :ignored-files ...) (ample-theme :url
>> "https://github.com/jordonb...") (annotate :url
>> "https://github.com/bastibe..." :news "NEWS.org" :readme "README.org")
>> (anti-zenburn-theme :url "https://github.com/m00nati..."> :ignored-files=
 ...) (anzu :url "https://github.com/emacsor..." :readme
>> "README.md" :news "Changes" :ignored-files ...) (apache-mode :url
>> "https://github.com/emacs-p..." :ignored-files ...)
>> (apropospriate-theme :url "https://github.com/waymond..."> :ignored-file=
s ...) (arduino-mode :url "git://git.sv.gnu.org/emacs..."
>> :branch "elpa/arduino-mode" :ignored-files ...) (autothemer :url
>> "https://github.com/jasonm2..." :readme "README.md") (better-jumper
>> :url "https://github.com/gilbert..." :readme "Readme.md"
>> :ignored-files ...) (bind-map :url "https://github.com/justbur..."> :ign=
ored-files ...) (bison-mode :url "https://github.com/Wilfred...")> (boxquot=
e :url "https://github.com/davep/b..." :readme "README.md"
>> :ignored-files ...) (buttercup :url "https://github.com/jorgens..."> :ig=
nored-files ...) (caml :url "https://github.com/ocaml/c..."> :ignored-files=
 ...) (cdlatex :url "https://github.com/cdomini...")> (cider :url "https://=
github.com/clojure..." :ignored-files ... :news
>> "CHANGELOG.md") (clojure-mode :url "https://github.com/clojure..."> :ign=
ored-files ... :news "CHANGELOG.md") (coffee-mode :url
>> "https://github.com/defunkt...") (corfu-terminal :url
>> "https://codeberg.org/akib/...") (crux :url
>> "https://github.com/bbatsov..." :readme "README.md" :news
>> "CHANGELOG.md") (cyberpunk-theme :url "https://github.com/n3mo/cy..."> :=
ignored-files ...) (cycle-at-point :url
>> "https://codeberg.org/ideas..." :ignored-files ...) (d-mode :url
>> "https://github.com/Emacs-D..." :ignored-files ...) (dart-mode :url
>> "https://github.com/bradyt/..." :ignored-files ... :news
>> "CHANGELOG.md") ...) (("ace-window" :url
>> "https://github.com/abo-abo..." :auto-sync t) ("ack" :url
>> "https://github.com/leoliu/..." :auto-sync t) (ada-mode :url
>> "https://git.sv.gnu.org/git..." :branch "externals/ada-mode" :doc
>> ... :release-branch t) (ada-ref-man :url
>> "https://git.sv.gnu.org/git..." :branch "externals/ada-ref-man")
>> (adaptive-wrap :url "https://git.sv.gnu.org/git..." :branch
>> "externals/adaptive-wrap") (adjust-parens :url
>> "https://git.sv.gnu.org/git..." :branch "externals/adjust-parens")
>> (advice-patch :url "https://git.sv.gnu.org/git..." :branch
>> "externals/advice-patch") (aggressive-completion :url
>> "https://git.sv.gnu.org/git..." :branch
>> "externals/aggressive-compl..." :auto-sync t) ("aggressive-indent"
>> :url "https://github.com/Malabar..." :auto-sync t) ("agitate" :url
>> "https://git.sr.ht/~protesi..." :auto-sync t :doc "README.org" :readme
>> "README.md" :ignored-files ...) ("ahungry-theme" :url
>> "https://github.com/ahungry...") ("aircon-theme" :url
>> "https://git.sr.ht/~chambln..." :ignored-files ... :readme ignore
>> :auto-sync t) (all :url "https://git.sv.gnu.org/git..." :branch
>> "externals/all") (ampc :url "https://git.sv.gnu.org/git..." :branch
>> "externals/ampc") (arbitools :url "https://git.sv.gnu.org/git..."> :bran=
ch "externals/arbitools") (ascii-art-to-unicode :url
>> "https://git.sv.gnu.org/git..." :branch
>> "externals/ascii-art-to-uni...") ("async" :url
>> "https://github.com/jwiegle..." :ignored-files ... :auto-sync t)
>> ("auctex" :url "git://git.sv.gnu.org/aucte..." :auto-sync nil)
>> (aumix-mode :url "https://git.sv.gnu.org/git..." :branch
>> "externals/aumix-mode") (auto-correct :url
>> "https://git.sv.gnu.org/git..." :branch "externals/auto-correct")
>> ("auto-overlays" :url "http://www.dr-qubit.org/gi..." :doc
>> "docs/auto-overlay-manual.t...") ("avy" :url
>> "https://github.com/abo-abo...") ("bbdb" :url
>> "git://git.savannah.nongnu...." :lisp-dir "lisp" :doc "doc/bbdb.texi"
>> :auto-sync nil) ("beacon" :url "https://github.com/Malabar..."> :auto-sy=
nc t) ("bind-key" :url "https://github.com/jwiegle..."> :ignored-files ... =
:news "/dev/null" :auto-sync t :internal--html-docs
>> nil) ("blist" :url "https://gitlab.com/mmemmew..." :doc
>> "blist.texinfo" :readme "README.org" :auto-sync t) ...)))
>>   package-vc--desc->spec(#s(package-desc :name pyim :version (5 2 8)
>> :summary "A Chinese input method support quanpin, shuangpin,..." :reqs
>> ((emacs (25 1)) (async (1 6)) (xr (1 13))) :kind vc :archive nil :dir
>> "/home/feng/.emacs.d/elpa-29/pyim" :extras ((:commit
>> . "93fab3c9e8c2490687781d45c1cecead0bd3ecf2") (:authors ("Ye Wenbin"
>> . "wenbinye@HIDDEN") ("Feng Shu" . "tumashu@HIDDEN")) (:maintainer
>> "Feng Shu" . "tumashu@HIDDEN") (:keywords "convenience" "chinese"
>> "pinyin" "input-method") (:url . "https://github.com/tumashu/pyim"))> :s=
igned nil))
>>   package-vc--main-file(#s(package-desc :name pyim :version (5 2 8)
>> :summary "A Chinese input method support quanpin, shuangpin,..." :reqs
>> ((emacs (25 1)) (async (1 6)) (xr (1 13))) :kind vc :archive nil :dir
>> "/home/feng/.emacs.d/elpa-29/pyim" :extras ((:commit
>> . "93fab3c9e8c2490687781d45c1cecead0bd3ecf2") (:authors ("Ye Wenbin"
>> . "wenbinye@HIDDEN") ("Feng Shu" . "tumashu@HIDDEN")) (:maintainer
>> "Feng Shu" . "tumashu@HIDDEN") (:keywords "convenience" "chinese"
>> "pinyin" "input-method") (:url . "https://github.com/tumashu/pyim"))> :s=
igned nil))
>>   package-vc--unpack-1(#s(package-desc :name pyim :version (5 2 8)
>> :summary "A Chinese input method support quanpin, shuangpin,..." :reqs
>> ((emacs (25 1)) (async (1 6)) (xr (1 13))) :kind vc :archive nil :dir
>> "/home/feng/.emacs.d/elpa-29/pyim" :extras ((:commit
>> . "93fab3c9e8c2490687781d45c1cecead0bd3ecf2") (:authors ("Ye Wenbin"
>> . "wenbinye@HIDDEN") ("Feng Shu" . "tumashu@HIDDEN")) (:maintainer
>> "Feng Shu" . "tumashu@HIDDEN") (:keywords "convenience" "chinese"
>> "pinyin" "input-method") (:url . "https://github.com/tumashu/pyim"))> :s=
igned nil) "/home/feng/.emacs.d/elpa-29/pyim")
>>   package-vc-rebuild(#s(package-desc :name pyim :version (5 2 8)
>> :summary "A Chinese input method support quanpin, shuangpin,..." :reqs
>> ((emacs (25 1)) (async (1 6)) (xr (1 13))) :kind vc :archive nil :dir
>> "/home/feng/.emacs.d/elpa-29/pyim" :extras ((:commit
>> . "93fab3c9e8c2490687781d45c1cecead0bd3ecf2") (:authors ("Ye Wenbin"
>> . "wenbinye@HIDDEN") ("Feng Shu" . "tumashu@HIDDEN")) (:maintainer
>> "Feng Shu" . "tumashu@HIDDEN") (:keywords "convenience" "chinese"
>> "pinyin" "input-method") (:url . "https://github.com/tumashu/pyim"))> :s=
igned nil))
>>   funcall-interactively(package-vc-rebuild #s(package-desc :name pyim
>> :version (5 2 8) :summary "A Chinese input method support quanpin,
>> shuangpin,..." :reqs ((emacs (25 1)) (async (1 6)) (xr (1 13))) :kind
>> vc :archive nil :dir "/home/feng/.emacs.d/elpa-29/pyim" :extras
>> ((:commit . "93fab3c9e8c2490687781d45c1cecead0bd3ecf2") (:authors ("Ye
>> Wenbin" . "wenbinye@HIDDEN") ("Feng Shu" . "tumashu@HIDDEN"))
>> (:maintainer "Feng Shu" . "tumashu@HIDDEN") (:keywords "convenience"
>> "chinese" "pinyin" "input-method") (:url
>> . "https://github.com/tumashu/pyim")) :signed nil))
>>   call-interactively(package-vc-rebuild record nil)
>>   command-execute(package-vc-rebuild record)
>>   execute-extended-command(nil "package-vc-rebuild" "package-vc-reb")
>>   funcall-interactively(execute-extended-command nil "package-vc-rebuild=
" "package-vc-reb")
>>   call-interactively(execute-extended-command nil nil)
>>   command-execute(execute-extended-command)

--=20





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59087; Package emacs. Full text available.

Message received at 59087 <at> debbugs.gnu.org:


Received: (at 59087) by debbugs.gnu.org; 15 Nov 2022 09:49:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 15 04:49:13 2022
Received: from localhost ([127.0.0.1]:52986 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ousZ5-0002Ig-SQ
	for submit <at> debbugs.gnu.org; Tue, 15 Nov 2022 04:49:13 -0500
Received: from mout01.posteo.de ([185.67.36.65]:43401)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philipk@HIDDEN>) id 1ousZ3-0002IT-Lw
 for 59087 <at> debbugs.gnu.org; Tue, 15 Nov 2022 04:49:11 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 79FED240028
 for <59087 <at> debbugs.gnu.org>; Tue, 15 Nov 2022 10:49:00 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1668505743; bh=mP0tYlFDltn+e3i9HfmGeIZc5ZmDXQlacuL1fFjSo00=;
 h=From:To:Cc:Subject:Date:From;
 b=p5bedAJFb15sMPuqjSeJvlx4O/2xHCO6V10iPtkZKCrT0T39trgX/Vln/vClvYMOI
 jJ9Wjrs9SiD8s4DcguPLt9GWN5OZV4/IvhcqpyT282j6xAMSm/S/yFsJvk6KsaW2p3
 yKOS8nk1/1vwCEbDG+S+w64zmN3k2Qz4+WR/R3tlFtu2ODnGS3poMguvLuOMvghtSZ
 yo8a1+7MBA2I4QcUaHnPOgf4LPxKnaTfZMTvk1+nlM/+aJLzW8ZXYnqUqXBSHa7Efq
 M/bElYCDtFLs7VwRsZFa1nbnQL9aJaQO8kC/kDh5s0lHcK9LI7zipASn0p+/l8Fk5r
 9P8u1PFro2+Dw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4NBLwq6WNLz6tqy;
 Tue, 15 Nov 2022 10:48:58 +0100 (CET)
From: Philip Kaludercic <philipk@HIDDEN>
To: Feng Shu <tumashu@HIDDEN>
Subject: Re: bug#59087: 29.0.50; package-vc-update error
In-Reply-To: <878rkdkmqe.fsf@HIDDEN> (Feng Shu's message of "Tue, 15 Nov 2022
 09:52:41 +0800")
References: <87v8nr333x.fsf@HIDDEN> <874jv13h6c.fsf@HIDDEN>
 <878rkdkmqe.fsf@HIDDEN>
Date: Tue, 15 Nov 2022 09:48:53 +0000
Message-ID: <874jv01ray.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59087
Cc: 59087 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Thank you for all these stack traces, I have managed to reproduce and
resolve all the mistakes -- at least on my end.  The new state is still
on scratch/package-vc-fixes.

Feng Shu <tumashu@HIDDEN> writes:

> Philip Kaludercic <philipk@HIDDEN> writes:
>
>> Feng Shu <tumashu@HIDDEN> writes:
>>
>>> Debugger entered--Lisp error: (wrong-type-argument stringp nil)
>>>   make-symbol(nil)
>>>   package-vc-update(#s(package-desc :name pyim :version (5 2 8)
>>> :summary "A Chinese input method support quanpin, shuangpin,..."
>>> :reqs ((emacs (25 1)) (async (1 6)) (xr (1 13))) :kind vc :archive
>>> nil :dir "/home/feng/.emacs.d/elpa-29/pyim" :extras ((:commit
>>> . "8c4f7d40c05dc06b3c96c2955e5d72ec268f2b61") (:authors ("Ye Wenbin"
>>> . "wenbinye@HIDDEN") ("Feng Shu" . "tumashu@HIDDEN")) (:maintainer
>>> "Feng Shu" . "tumashu@HIDDEN") (:keywords "convenience" "chinese"
>>> "pinyin" "input-method") (:url . "https://github.com/tumashu/pyim"))> :signed nil))
>>>   package-update(pyim)
>>>   mapc(package-update (pyim))
>>>   package-update-all(t)
>>>   funcall-interactively(package-update-all t)
>>>   call-interactively(package-update-all record nil)
>>>   command-execute(package-update-all record)
>>>   execute-extended-command(nil "package-update-all" nil)
>>>   funcall-interactively(execute-extended-command nil "package-update-all" nil)
>>>   call-interactively(execute-extended-command nil nil)
>>>   command-execute(execute-extended-command)
>>
>> This issue (and the others you reported) might have been resolved on the
>> scratch/package-vc-fixes branch.  Could you try that out?
>
> wow, good job, I install pyim and run package-vc-update again, show:
>
> Debugger entered--Lisp error: (cl-assertion-failed (dir nil))
>   cl--assertion-failed(dir)
>   package-vc--unpack-1(#s(package-desc :name pyim :version (5 2 8)
> :summary "A Chinese input method support quanpin, shuangpin,..." :reqs
> ((emacs (25 1)) (async (1 6)) (xr (1 13))) :kind tar :archive "gnu"
> :dir nil :extras ((:url . "https://github.com/tumashu/pyim")
> (:keywords "convenience" "chinese" "pinyin" "input-method")
> (:maintainer "Feng Shu" . "tumashu@HIDDEN") (:authors ("Ye Wenbin"
> . "wenbinye@HIDDEN") ("Feng Shu" . "tumashu@HIDDEN")) (:commit
> . "93fab3c9e8c2490687781d45c1cecead0bd3ecf2")) :signed nil) nil)
>   #f(compiled-function (command file-or-list flags) #<bytecode 0xe12829862413ae8>)("git" nil ("pull" "--stat"))
>   run-hook-with-args(#f(compiled-function (command file-or-list flags) #<bytecode 0xe12829862413ae8>) "git" nil ("pull" "--stat"))
>   #f(compiled-function () #<bytecode -0x1712b007cb06d41a>)()
>   vc-exec-after(#f(compiled-function () #<bytecode -0x1712b007cb06d41a>) nil)
>   vc--process-sentinel(#<process git> #f(compiled-function () #<bytecode -0x1712b007cb06d41a>) nil)
>   #f(compiled-function (p msg) #<bytecode 0xef07964a0216b31>)(#<process git> "exited abnormally with code 128\n")
>   apply(#f(compiled-function (p msg) #<bytecode 0xef07964a0216b31>) (#<process git> "exited abnormally with code 128\n"))
>   #f(advice #f(compiled-function (p msg) #<bytecode 0xef07964a0216b31>) :after ignore)(#<process git> "exited abnormally with code 128\n")
>   apply(#f(advice #f(compiled-function (p msg) #<bytecode 0xef07964a0216b31>) :after ignore) (#<process git> "exited abnormally with code 128\n"))
>   #f(advice #f(compiled-function (p msg) #<bytecode
> -0xa9844be2e2d4106>) :after #f(advice #f(compiled-function (p msg)
> #<bytecode 0xef07964a0216b31>) :after ignore))(#<process git> "exited
> abnormally with code 128\n")

Feng Shu <tumashu@HIDDEN> writes:

> Philip Kaludercic <philipk@HIDDEN> writes:
>
>> Feng Shu <tumashu@HIDDEN> writes:
>>
>>> Debugger entered--Lisp error: (wrong-type-argument stringp nil)
>>>   make-symbol(nil)
>>>   package-vc-update(#s(package-desc :name pyim :version (5 2 8)
>>> :summary "A Chinese input method support quanpin, shuangpin,..."
>>> :reqs ((emacs (25 1)) (async (1 6)) (xr (1 13))) :kind vc :archive
>>> nil :dir "/home/feng/.emacs.d/elpa-29/pyim" :extras ((:commit
>>> . "8c4f7d40c05dc06b3c96c2955e5d72ec268f2b61") (:authors ("Ye Wenbin"
>>> . "wenbinye@HIDDEN") ("Feng Shu" . "tumashu@HIDDEN")) (:maintainer
>>> "Feng Shu" . "tumashu@HIDDEN") (:keywords "convenience" "chinese"
>>> "pinyin" "input-method") (:url . "https://github.com/tumashu/pyim"))> :signed nil))
>>>   package-update(pyim)
>>>   mapc(package-update (pyim))
>>>   package-update-all(t)
>>>   funcall-interactively(package-update-all t)
>>>   call-interactively(package-update-all record nil)
>>>   command-execute(package-update-all record)
>>>   execute-extended-command(nil "package-update-all" nil)
>>>   funcall-interactively(execute-extended-command nil "package-update-all" nil)
>>>   call-interactively(execute-extended-command nil nil)
>>>   command-execute(execute-extended-command)
>>
>> This issue (and the others you reported) might have been resolved on the
>> scratch/package-vc-fixes branch.  Could you try that out?
>
> When I delete pyim and reinstall it, and run pyim-vc-update again, show:
>
> Debugger entered--Lisp error: (error "No VC backend is responsible for ~/")
>   signal(error ("No VC backend is responsible for ~/"))
>   error("No VC backend is responsible for %s" "~/")
>   vc-responsible-backend("~/")
>   vc-deduce-fileset-1(t nil nil)
>   vc-deduce-fileset(t)
>   vc-pull()
>   package-vc-update(#s(package-desc :name pyim :version (5 2 8)
> :summary "A Chinese input method support quanpin, shuangpin,..." :reqs
> ((emacs (25 1)) (async (1 6)) (xr (1 13))) :kind vc :archive nil :dir
> "/home/feng/.emacs.d/elpa-29/pyim" :extras ((:commit
> . "93fab3c9e8c2490687781d45c1cecead0bd3ecf2") (:authors ("Ye Wenbin"
> . "wenbinye@HIDDEN") ("Feng Shu" . "tumashu@HIDDEN")) (:maintainer
> "Feng Shu" . "tumashu@HIDDEN") (:keywords "convenience" "chinese"
> "pinyin" "input-method") (:url . "https://github.com/tumashu/pyim"))
> :signed nil))
>   package-update("pyim")
>   funcall-interactively(package-update "pyim")
>   call-interactively(package-update record nil)
>   command-execute(package-update record)
>   execute-extended-command(nil "package-update" nil)
>   funcall-interactively(execute-extended-command nil "package-update" nil)
>   call-interactively(execute-extended-command nil nil)
>   command-execute(execute-extended-command)

Feng Shu <tumashu@HIDDEN> writes:

> Philip Kaludercic <philipk@HIDDEN> writes:
>
>> Feng Shu <tumashu@HIDDEN> writes:
>>
>>> Debugger entered--Lisp error: (wrong-type-argument stringp nil)
>>>   make-symbol(nil)
>>>   package-vc-update(#s(package-desc :name pyim :version (5 2 8)
>>> :summary "A Chinese input method support quanpin, shuangpin,..."
>>> :reqs ((emacs (25 1)) (async (1 6)) (xr (1 13))) :kind vc :archive
>>> nil :dir "/home/feng/.emacs.d/elpa-29/pyim" :extras ((:commit
>>> . "8c4f7d40c05dc06b3c96c2955e5d72ec268f2b61") (:authors ("Ye Wenbin"
>>> . "wenbinye@HIDDEN") ("Feng Shu" . "tumashu@HIDDEN")) (:maintainer
>>> "Feng Shu" . "tumashu@HIDDEN") (:keywords "convenience" "chinese"
>>> "pinyin" "input-method") (:url . "https://github.com/tumashu/pyim"))> :signed nil))
>>>   package-update(pyim)
>>>   mapc(package-update (pyim))
>>>   package-update-all(t)
>>>   funcall-interactively(package-update-all t)
>>>   call-interactively(package-update-all record nil)
>>>   command-execute(package-update-all record)
>>>   execute-extended-command(nil "package-update-all" nil)
>>>   funcall-interactively(execute-extended-command nil "package-update-all" nil)
>>>   call-interactively(execute-extended-command nil nil)
>>>   command-execute(execute-extended-command)
>>
>> This issue (and the others you reported) might have been resolved on the
>> scratch/package-vc-fixes branch.  Could you try that out?
>
> When I run package-vc-install pyim and run package-vc-rebuild pyim,
> show:
>
> Debugger entered--Lisp error: (circular-list (("use-package" :url
> "https://github.com/jwiegley/use-package" :ignored-files ("LICENSE"
> "bind-*" "use-package-chords.el") :readme "README.md" :doc
> "use-package.texi" :news "NEWS.md" :auto-sync t :internal--html-docs
> (("use-package" . "use-package.html"))) ("validate" :url
> "https://github.com/Malabarba/validate.el") ("valign" :url
> "https://github.com/casouri/valign") ("vc-backup" :url
> "https://git.sr.ht/~pkal/vc-backup" :auto-sync t) ("vc-got" :url
> "https://git.omarpolo.com/vc-got.git" :ignored-files ("targets"
> "LICENSE") :auto-sync t) ("vc-hgcmd" :url
> "https://github.com/muffinmad/emacs-vc-hgcmd" :auto-sync t) (vcard
> :url "https://git.sv.gnu.org/git/emacs/elpa.git" :branch
> "externals/vcard") ("vcl-mode" :url "git://git.gnu.org.ua/vcl-mode")
> ("vdiff" :url "https://github.com/justbur/emacs-vdiff" :auto-sync t)
> ("vertico" :url "https://github.com/minad/vertico" :doc "README.org"
> :ignored-files ("*.svg") :renames (("extensions/" "")) :auto-sync t)
> ("vertico-posframe" :url "https://github.com/tumashu/vertico-posframe"
> :auto-sync t) (vigenere :url
> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch
> "externals/vigenere") (visual-filename-abbrev :url
> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch
> "externals/visual-filename-abbrev") (visual-fill :url
> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch
> "externals/visual-fill") ("vlf" :url
> "https://github.com/m00natic/vlfi") ("vundo" :url
> "https://github.com/casouri/vundo" :ignored-files ("test") :news
> "NEWS.txt" :auto-sync t) ("wcheck-mode" :url
> "https://github.com/tlikonen/wcheck-mode") ("wconf" :url
> "https://github.com/ilohmar/wconf") ("web-server" :url
> "https://github.com/eschulte/emacs-web-server.git") ("webfeeder" :url
> "https://gitlab.com/ambrevar/emacs-webfeeder.git") ("websocket" :url
> "https://github.com/ahyatt/emacs-websocket.git") ("which-key" :url
> "https://github.com/justbur/emacs-which-key" :auto-sync t) ("windower"
> :url "https://gitlab.com/ambrevar/emacs-windower") (windresize :url
> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch
> "externals/windresize") (wisi :url
> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch "externals/wisi"
> :doc ("wisi.texi" "wisitoken-user_guide.texinfo") :release-branch t)
> (wisitoken-grammar-mode :url
> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch
> "externals/wisitoken-grammar-mode") (wpuzzle :url
> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch
> "externals/wpuzzle") (xclip :url
> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch "externals/xclip")
> ("xelb" :url "https://github.com/ch11ng/xelb.git") (xpm :url
> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch "externals/xpm")
> ("xr" :url "https://github.com/mattiase/xr" :ignored-files ("Makefile"
> ".github" "*-test.el*") :auto-sync t) ("yasnippet" :url
> "https://github.com/capitaomorte/yasnippet.git")
> (yasnippet-classic-snippets :url
> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch
> "externals/yasnippet-classic-snippets") (zones :url
> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch "externals/zones")
> ("ztree" :url "https://github.com/fourier/ztree") ("zuul" :url
> "https://git.sr.ht/~niklaseklund/zuul.el" :news "CHANGELOG.org"
> :readme "README.md" :auto-sync t) ("ace-window" :url
> "https://github.com/abo-abo/ace-window" :auto-sync t) ("ack" :url
> "https://github.com/leoliu/ack-el" :auto-sync t) (ada-mode :url
> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch
> "externals/ada-mode" :doc ("ada-mode.texi") :release-branch t)
> (ada-ref-man :url "https://git.sv.gnu.org/git/emacs/elpa.git" :branch
> "externals/ada-ref-man") (adaptive-wrap :url
> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch
> "externals/adaptive-wrap") (adjust-parens :url
> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch
> "externals/adjust-parens") (advice-patch :url
> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch
> "externals/advice-patch") (aggressive-completion :url
> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch
> "externals/aggressive-completion" :auto-sync t) ("aggressive-indent"
> :url "https://github.com/Malabarba/aggressive-indent-mod..."
> :auto-sync t) ("agitate" :url "https://git.sr.ht/~protesilaos/agitate"
> :auto-sync t :doc "README.org" :readme "README.md" :ignored-files
> ("COPYING" "doclicense.texi")) ("ahungry-theme" :url
> "https://github.com/ahungry/color-theme-ahungry") ("aircon-theme" :url
> "https://git.sr.ht/~chambln/aircon-theme.el" :ignored-files ("README"
> "COPYING") :readme ignore :auto-sync t) (all :url
> "https://git.sv.gnu.org/git/emacs/elpa.git" :branch "externals/all")
> (ampc :url "https://git.sv.gnu.org/git/emacs/elpa.git" :branch
> "externals/ampc") ...))
>   mapcan(append (((afternoon-theme :url
> "https://github.com/osener/..." :ignored-files ...) (alect-themes :url
> "https://github.com/alezost..." :ignored-files ...) (ample-theme :url
> "https://github.com/jordonb...") (annotate :url
> "https://github.com/bastibe..." :news "NEWS.org" :readme "README.org")
> (anti-zenburn-theme :url "https://github.com/m00nati..."
> :ignored-files ...) (anzu :url "https://github.com/emacsor..." :readme
> "README.md" :news "Changes" :ignored-files ...) (apache-mode :url
> "https://github.com/emacs-p..." :ignored-files ...)
> (apropospriate-theme :url "https://github.com/waymond..."
> :ignored-files ...) (arduino-mode :url "git://git.sv.gnu.org/emacs..."
> :branch "elpa/arduino-mode" :ignored-files ...) (autothemer :url
> "https://github.com/jasonm2..." :readme "README.md") (better-jumper
> :url "https://github.com/gilbert..." :readme "Readme.md"
> :ignored-files ...) (bind-map :url "https://github.com/justbur..."
> :ignored-files ...) (bison-mode :url "https://github.com/Wilfred...")
> (boxquote :url "https://github.com/davep/b..." :readme "README.md"
> :ignored-files ...) (buttercup :url "https://github.com/jorgens..."
> :ignored-files ...) (caml :url "https://github.com/ocaml/c..."
> :ignored-files ...) (cdlatex :url "https://github.com/cdomini...")
> (cider :url "https://github.com/clojure..." :ignored-files ... :news
> "CHANGELOG.md") (clojure-mode :url "https://github.com/clojure..."
> :ignored-files ... :news "CHANGELOG.md") (coffee-mode :url
> "https://github.com/defunkt...") (corfu-terminal :url
> "https://codeberg.org/akib/...") (crux :url
> "https://github.com/bbatsov..." :readme "README.md" :news
> "CHANGELOG.md") (cyberpunk-theme :url "https://github.com/n3mo/cy..."
> :ignored-files ...) (cycle-at-point :url
> "https://codeberg.org/ideas..." :ignored-files ...) (d-mode :url
> "https://github.com/Emacs-D..." :ignored-files ...) (dart-mode :url
> "https://github.com/bradyt/..." :ignored-files ... :news
> "CHANGELOG.md") ...) (("ace-window" :url
> "https://github.com/abo-abo..." :auto-sync t) ("ack" :url
> "https://github.com/leoliu/..." :auto-sync t) (ada-mode :url
> "https://git.sv.gnu.org/git..." :branch "externals/ada-mode" :doc
> ... :release-branch t) (ada-ref-man :url
> "https://git.sv.gnu.org/git..." :branch "externals/ada-ref-man")
> (adaptive-wrap :url "https://git.sv.gnu.org/git..." :branch
> "externals/adaptive-wrap") (adjust-parens :url
> "https://git.sv.gnu.org/git..." :branch "externals/adjust-parens")
> (advice-patch :url "https://git.sv.gnu.org/git..." :branch
> "externals/advice-patch") (aggressive-completion :url
> "https://git.sv.gnu.org/git..." :branch
> "externals/aggressive-compl..." :auto-sync t) ("aggressive-indent"
> :url "https://github.com/Malabar..." :auto-sync t) ("agitate" :url
> "https://git.sr.ht/~protesi..." :auto-sync t :doc "README.org" :readme
> "README.md" :ignored-files ...) ("ahungry-theme" :url
> "https://github.com/ahungry...") ("aircon-theme" :url
> "https://git.sr.ht/~chambln..." :ignored-files ... :readme ignore
> :auto-sync t) (all :url "https://git.sv.gnu.org/git..." :branch
> "externals/all") (ampc :url "https://git.sv.gnu.org/git..." :branch
> "externals/ampc") (arbitools :url "https://git.sv.gnu.org/git..."
> :branch "externals/arbitools") (ascii-art-to-unicode :url
> "https://git.sv.gnu.org/git..." :branch
> "externals/ascii-art-to-uni...") ("async" :url
> "https://github.com/jwiegle..." :ignored-files ... :auto-sync t)
> ("auctex" :url "git://git.sv.gnu.org/aucte..." :auto-sync nil)
> (aumix-mode :url "https://git.sv.gnu.org/git..." :branch
> "externals/aumix-mode") (auto-correct :url
> "https://git.sv.gnu.org/git..." :branch "externals/auto-correct")
> ("auto-overlays" :url "http://www.dr-qubit.org/gi..." :doc
> "docs/auto-overlay-manual.t...") ("avy" :url
> "https://github.com/abo-abo...") ("bbdb" :url
> "git://git.savannah.nongnu...." :lisp-dir "lisp" :doc "doc/bbdb.texi"
> :auto-sync nil) ("beacon" :url "https://github.com/Malabar..."
> :auto-sync t) ("bind-key" :url "https://github.com/jwiegle..."
> :ignored-files ... :news "/dev/null" :auto-sync t :internal--html-docs
> nil) ("blist" :url "https://gitlab.com/mmemmew..." :doc
> "blist.texinfo" :readme "README.org" :auto-sync t) ...)))
>   package-vc--desc->spec(#s(package-desc :name pyim :version (5 2 8)
> :summary "A Chinese input method support quanpin, shuangpin,..." :reqs
> ((emacs (25 1)) (async (1 6)) (xr (1 13))) :kind vc :archive nil :dir
> "/home/feng/.emacs.d/elpa-29/pyim" :extras ((:commit
> . "93fab3c9e8c2490687781d45c1cecead0bd3ecf2") (:authors ("Ye Wenbin"
> . "wenbinye@HIDDEN") ("Feng Shu" . "tumashu@HIDDEN")) (:maintainer
> "Feng Shu" . "tumashu@HIDDEN") (:keywords "convenience" "chinese"
> "pinyin" "input-method") (:url . "https://github.com/tumashu/pyim"))
> :signed nil))
>   package-vc--main-file(#s(package-desc :name pyim :version (5 2 8)
> :summary "A Chinese input method support quanpin, shuangpin,..." :reqs
> ((emacs (25 1)) (async (1 6)) (xr (1 13))) :kind vc :archive nil :dir
> "/home/feng/.emacs.d/elpa-29/pyim" :extras ((:commit
> . "93fab3c9e8c2490687781d45c1cecead0bd3ecf2") (:authors ("Ye Wenbin"
> . "wenbinye@HIDDEN") ("Feng Shu" . "tumashu@HIDDEN")) (:maintainer
> "Feng Shu" . "tumashu@HIDDEN") (:keywords "convenience" "chinese"
> "pinyin" "input-method") (:url . "https://github.com/tumashu/pyim"))
> :signed nil))
>   package-vc--unpack-1(#s(package-desc :name pyim :version (5 2 8)
> :summary "A Chinese input method support quanpin, shuangpin,..." :reqs
> ((emacs (25 1)) (async (1 6)) (xr (1 13))) :kind vc :archive nil :dir
> "/home/feng/.emacs.d/elpa-29/pyim" :extras ((:commit
> . "93fab3c9e8c2490687781d45c1cecead0bd3ecf2") (:authors ("Ye Wenbin"
> . "wenbinye@HIDDEN") ("Feng Shu" . "tumashu@HIDDEN")) (:maintainer
> "Feng Shu" . "tumashu@HIDDEN") (:keywords "convenience" "chinese"
> "pinyin" "input-method") (:url . "https://github.com/tumashu/pyim"))
> :signed nil) "/home/feng/.emacs.d/elpa-29/pyim")
>   package-vc-rebuild(#s(package-desc :name pyim :version (5 2 8)
> :summary "A Chinese input method support quanpin, shuangpin,..." :reqs
> ((emacs (25 1)) (async (1 6)) (xr (1 13))) :kind vc :archive nil :dir
> "/home/feng/.emacs.d/elpa-29/pyim" :extras ((:commit
> . "93fab3c9e8c2490687781d45c1cecead0bd3ecf2") (:authors ("Ye Wenbin"
> . "wenbinye@HIDDEN") ("Feng Shu" . "tumashu@HIDDEN")) (:maintainer
> "Feng Shu" . "tumashu@HIDDEN") (:keywords "convenience" "chinese"
> "pinyin" "input-method") (:url . "https://github.com/tumashu/pyim"))
> :signed nil))
>   funcall-interactively(package-vc-rebuild #s(package-desc :name pyim
> :version (5 2 8) :summary "A Chinese input method support quanpin,
> shuangpin,..." :reqs ((emacs (25 1)) (async (1 6)) (xr (1 13))) :kind
> vc :archive nil :dir "/home/feng/.emacs.d/elpa-29/pyim" :extras
> ((:commit . "93fab3c9e8c2490687781d45c1cecead0bd3ecf2") (:authors ("Ye
> Wenbin" . "wenbinye@HIDDEN") ("Feng Shu" . "tumashu@HIDDEN"))
> (:maintainer "Feng Shu" . "tumashu@HIDDEN") (:keywords "convenience"
> "chinese" "pinyin" "input-method") (:url
> . "https://github.com/tumashu/pyim")) :signed nil))
>   call-interactively(package-vc-rebuild record nil)
>   command-execute(package-vc-rebuild record)
>   execute-extended-command(nil "package-vc-rebuild" "package-vc-reb")
>   funcall-interactively(execute-extended-command nil "package-vc-rebuild" "package-vc-reb")
>   call-interactively(execute-extended-command nil nil)
>   command-execute(execute-extended-command)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59087; Package emacs. Full text available.

Message received at 59087 <at> debbugs.gnu.org:


Received: (at 59087) by debbugs.gnu.org; 15 Nov 2022 05:52:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 15 00:52:01 2022
Received: from localhost ([127.0.0.1]:52566 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ouorY-0004VY-H1
	for submit <at> debbugs.gnu.org; Tue, 15 Nov 2022 00:52:01 -0500
Received: from m12-11.163.com ([220.181.12.11]:6452)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tumashu@HIDDEN>) id 1ouorU-0004VG-QT
 for 59087 <at> debbugs.gnu.org; Tue, 15 Nov 2022 00:51:59 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-ID:MIME-Version; bh=4ygpi
 ZLf6AZor0OccogC/JvPgt2ntO5urR2lebRydC8=; b=IwzSqyWbkbl8gNwQHyk/Z
 2SsTOwf8soroE7zXKSqo8RIDXHfKUE9rsNvxlU3oTxh8kmT+Zn/2epUuabHJgrDP
 yGa4/6FkMino/SQtZICyEPnoTfvlvbuWrU6LIk+0dxgZW/kayDgbiPbLyzkv/Kau
 2D0xqUfEdwztpqXs5WES1w=
Received: from Tumashu (unknown [218.92.14.78])
 by smtp7 (Coremail) with SMTP id C8CowABHdyPwKHNjfrJaRw--.36487S2;
 Tue, 15 Nov 2022 13:51:44 +0800 (CST)
From: Feng Shu <tumashu@HIDDEN>
To: Philip Kaludercic <philipk@HIDDEN>
Subject: Re: bug#59087: 29.0.50; package-vc-update error
In-Reply-To: <874jv13h6c.fsf@HIDDEN> (Philip Kaludercic's message of "Mon, 
 14 Nov 2022 11:32:27 +0000")
References: <87v8nr333x.fsf@HIDDEN> <874jv13h6c.fsf@HIDDEN>
Date: Tue, 15 Nov 2022 13:51:44 +0800
Message-ID: <87leoc3gun.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable
X-CM-TRANSID: C8CowABHdyPwKHNjfrJaRw--.36487S2
X-Coremail-Antispam: 1Uf129KBjvAXoW3Zr1fAw4xJr48Wr4rKryxGrg_yoW8XryrCo
 Z3JF15XFWag3yDtr95K3yxXryxG34Fg34UJw1jqr1v9FySyrWag3s8Ga1xXr1kZa4jkwnY
 qF1fKF90krZrXF4fn29KB7ZKAUJUUUUU529EdanIXcx71UUUUU7v73VFW2AGmfu7bjvjm3
 AaLaJ3UbIYCTnIWIevJa73UjIFyTuYvjxUU9N3UUUUU
X-Originating-IP: [218.92.14.78]
X-CM-SenderInfo: 5wxpt2lkx6il2tof0z/1tbiHRG61GI67vr2PQAAsl
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 59087
Cc: 59087 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Philip Kaludercic <philipk@HIDDEN> writes:

> Feng Shu <tumashu@HIDDEN> writes:
>
>> Debugger entered--Lisp error: (wrong-type-argument stringp nil)
>>   make-symbol(nil)
>>   package-vc-update(#s(package-desc :name pyim :version (5 2 8)
>> :summary "A Chinese input method support quanpin, shuangpin,..."
>> :reqs ((emacs (25 1)) (async (1 6)) (xr (1 13))) :kind vc :archive
>> nil :dir "/home/feng/.emacs.d/elpa-29/pyim" :extras ((:commit
>> . "8c4f7d40c05dc06b3c96c2955e5d72ec268f2b61") (:authors ("Ye Wenbin"
>> . "wenbinye@HIDDEN") ("Feng Shu" . "tumashu@HIDDEN")) (:maintainer
>> "Feng Shu" . "tumashu@HIDDEN") (:keywords "convenience" "chinese"
>> "pinyin" "input-method") (:url . "https://github.com/tumashu/pyim"))> :s=
igned nil))
>>   package-update(pyim)
>>   mapc(package-update (pyim))
>>   package-update-all(t)
>>   funcall-interactively(package-update-all t)
>>   call-interactively(package-update-all record nil)
>>   command-execute(package-update-all record)
>>   execute-extended-command(nil "package-update-all" nil)
>>   funcall-interactively(execute-extended-command nil "package-update-all=
" nil)
>>   call-interactively(execute-extended-command nil nil)
>>   command-execute(execute-extended-command)
>
> This issue (and the others you reported) might have been resolved on the
> scratch/package-vc-fixes branch.  Could you try that out?

When I run package-vc-install pyim and run package-vc-rebuild pyim,
show:

Debugger entered--Lisp error: (circular-list (("use-package" :url "https://=
github.com/jwiegley/use-package" :ignored-files ("LICENSE" "bind-*" "use-pa=
ckage-chords.el") :readme "README.md" :doc "use-package.texi" :news "NEWS.m=
d" :auto-sync t :internal--html-docs (("use-package" . "use-package.html"))=
) ("validate" :url "https://github.com/Malabarba/validate.el") ("valign" :u=
rl "https://github.com/casouri/valign") ("vc-backup" :url "https://git.sr.h=
t/~pkal/vc-backup" :auto-sync t) ("vc-got" :url "https://git.omarpolo.com/v=
c-got.git" :ignored-files ("targets" "LICENSE") :auto-sync t) ("vc-hgcmd" :=
url "https://github.com/muffinmad/emacs-vc-hgcmd" :auto-sync t) (vcard :url=
 "https://git.sv.gnu.org/git/emacs/elpa.git" :branch "externals/vcard") ("v=
cl-mode" :url "git://git.gnu.org.ua/vcl-mode") ("vdiff" :url "https://githu=
b.com/justbur/emacs-vdiff" :auto-sync t) ("vertico" :url "https://github.co=
m/minad/vertico" :doc "README.org" :ignored-files ("*.svg") :renames (("ext=
ensions/" "")) :auto-sync t) ("vertico-posframe" :url "https://github.com/t=
umashu/vertico-posframe" :auto-sync t) (vigenere :url "https://git.sv.gnu.o=
rg/git/emacs/elpa.git" :branch "externals/vigenere") (visual-filename-abbre=
v :url "https://git.sv.gnu.org/git/emacs/elpa.git" :branch "externals/visua=
l-filename-abbrev") (visual-fill :url "https://git.sv.gnu.org/git/emacs/elp=
a.git" :branch "externals/visual-fill") ("vlf" :url "https://github.com/m00=
natic/vlfi") ("vundo" :url "https://github.com/casouri/vundo" :ignored-file=
s ("test") :news "NEWS.txt" :auto-sync t) ("wcheck-mode" :url "https://gith=
ub.com/tlikonen/wcheck-mode") ("wconf" :url "https://github.com/ilohmar/wco=
nf") ("web-server" :url "https://github.com/eschulte/emacs-web-server.git")=
 ("webfeeder" :url "https://gitlab.com/ambrevar/emacs-webfeeder.git") ("web=
socket" :url "https://github.com/ahyatt/emacs-websocket.git") ("which-key" =
:url "https://github.com/justbur/emacs-which-key" :auto-sync t) ("windower"=
 :url "https://gitlab.com/ambrevar/emacs-windower") (windresize :url "https=
://git.sv.gnu.org/git/emacs/elpa.git" :branch "externals/windresize") (wisi=
 :url "https://git.sv.gnu.org/git/emacs/elpa.git" :branch "externals/wisi" =
:doc ("wisi.texi" "wisitoken-user_guide.texinfo") :release-branch t) (wisit=
oken-grammar-mode :url "https://git.sv.gnu.org/git/emacs/elpa.git" :branch =
"externals/wisitoken-grammar-mode") (wpuzzle :url "https://git.sv.gnu.org/g=
it/emacs/elpa.git" :branch "externals/wpuzzle") (xclip :url "https://git.sv=
.gnu.org/git/emacs/elpa.git" :branch "externals/xclip") ("xelb" :url "https=
://github.com/ch11ng/xelb.git") (xpm :url "https://git.sv.gnu.org/git/emacs=
/elpa.git" :branch "externals/xpm") ("xr" :url "https://github.com/mattiase=
/xr" :ignored-files ("Makefile" ".github" "*-test.el*") :auto-sync t) ("yas=
nippet" :url "https://github.com/capitaomorte/yasnippet.git") (yasnippet-cl=
assic-snippets :url "https://git.sv.gnu.org/git/emacs/elpa.git" :branch "ex=
ternals/yasnippet-classic-snippets") (zones :url "https://git.sv.gnu.org/gi=
t/emacs/elpa.git" :branch "externals/zones") ("ztree" :url "https://github.=
com/fourier/ztree") ("zuul" :url "https://git.sr.ht/~niklaseklund/zuul.el" =
:news "CHANGELOG.org" :readme "README.md" :auto-sync t) ("ace-window" :url =
"https://github.com/abo-abo/ace-window" :auto-sync t) ("ack" :url "https://=
github.com/leoliu/ack-el" :auto-sync t) (ada-mode :url "https://git.sv.gnu.=
org/git/emacs/elpa.git" :branch "externals/ada-mode" :doc ("ada-mode.texi")=
 :release-branch t) (ada-ref-man :url "https://git.sv.gnu.org/git/emacs/elp=
a.git" :branch "externals/ada-ref-man") (adaptive-wrap :url "https://git.sv=
.gnu.org/git/emacs/elpa.git" :branch "externals/adaptive-wrap") (adjust-par=
ens :url "https://git.sv.gnu.org/git/emacs/elpa.git" :branch "externals/adj=
ust-parens") (advice-patch :url "https://git.sv.gnu.org/git/emacs/elpa.git"=
 :branch "externals/advice-patch") (aggressive-completion :url "https://git=
.sv.gnu.org/git/emacs/elpa.git" :branch "externals/aggressive-completion" :=
auto-sync t) ("aggressive-indent" :url "https://github.com/Malabarba/aggres=
sive-indent-mod..." :auto-sync t) ("agitate" :url "https://git.sr.ht/~prote=
silaos/agitate" :auto-sync t :doc "README.org" :readme "README.md" :ignored=
-files ("COPYING" "doclicense.texi")) ("ahungry-theme" :url "https://github=
.com/ahungry/color-theme-ahungry") ("aircon-theme" :url "https://git.sr.ht/=
~chambln/aircon-theme.el" :ignored-files ("README" "COPYING") :readme ignor=
e :auto-sync t) (all :url "https://git.sv.gnu.org/git/emacs/elpa.git" :bran=
ch "externals/all") (ampc :url "https://git.sv.gnu.org/git/emacs/elpa.git" =
:branch "externals/ampc") ...))
  mapcan(append (((afternoon-theme :url "https://github.com/osener/..." :ig=
nored-files ...) (alect-themes :url "https://github.com/alezost..." :ignore=
d-files ...) (ample-theme :url "https://github.com/jordonb...") (annotate :=
url "https://github.com/bastibe..." :news "NEWS.org" :readme "README.org") =
(anti-zenburn-theme :url "https://github.com/m00nati..." :ignored-files ...=
) (anzu :url "https://github.com/emacsor..." :readme "README.md" :news "Cha=
nges" :ignored-files ...) (apache-mode :url "https://github.com/emacs-p..."=
 :ignored-files ...) (apropospriate-theme :url "https://github.com/waymond.=
.." :ignored-files ...) (arduino-mode :url "git://git.sv.gnu.org/emacs..." =
:branch "elpa/arduino-mode" :ignored-files ...) (autothemer :url "https://g=
ithub.com/jasonm2..." :readme "README.md") (better-jumper :url "https://git=
hub.com/gilbert..." :readme "Readme.md" :ignored-files ...) (bind-map :url =
"https://github.com/justbur..." :ignored-files ...) (bison-mode :url "https=
://github.com/Wilfred...") (boxquote :url "https://github.com/davep/b..." :=
readme "README.md" :ignored-files ...) (buttercup :url "https://github.com/=
jorgens..." :ignored-files ...) (caml :url "https://github.com/ocaml/c..." =
:ignored-files ...) (cdlatex :url "https://github.com/cdomini...") (cider :=
url "https://github.com/clojure..." :ignored-files ... :news "CHANGELOG.md"=
) (clojure-mode :url "https://github.com/clojure..." :ignored-files ... :ne=
ws "CHANGELOG.md") (coffee-mode :url "https://github.com/defunkt...") (corf=
u-terminal :url "https://codeberg.org/akib/...") (crux :url "https://github=
.com/bbatsov..." :readme "README.md" :news "CHANGELOG.md") (cyberpunk-theme=
 :url "https://github.com/n3mo/cy..." :ignored-files ...) (cycle-at-point :=
url "https://codeberg.org/ideas..." :ignored-files ...) (d-mode :url "https=
://github.com/Emacs-D..." :ignored-files ...) (dart-mode :url "https://gith=
ub.com/bradyt/..." :ignored-files ... :news "CHANGELOG.md") ...) (("ace-win=
dow" :url "https://github.com/abo-abo..." :auto-sync t) ("ack" :url "https:=
//github.com/leoliu/..." :auto-sync t) (ada-mode :url "https://git.sv.gnu.o=
rg/git..." :branch "externals/ada-mode" :doc ... :release-branch t) (ada-re=
f-man :url "https://git.sv.gnu.org/git..." :branch "externals/ada-ref-man")=
 (adaptive-wrap :url "https://git.sv.gnu.org/git..." :branch "externals/ada=
ptive-wrap") (adjust-parens :url "https://git.sv.gnu.org/git..." :branch "e=
xternals/adjust-parens") (advice-patch :url "https://git.sv.gnu.org/git..."=
 :branch "externals/advice-patch") (aggressive-completion :url "https://git=
.sv.gnu.org/git..." :branch "externals/aggressive-compl..." :auto-sync t) (=
"aggressive-indent" :url "https://github.com/Malabar..." :auto-sync t) ("ag=
itate" :url "https://git.sr.ht/~protesi..." :auto-sync t :doc "README.org" =
:readme "README.md" :ignored-files ...) ("ahungry-theme" :url "https://gith=
ub.com/ahungry...") ("aircon-theme" :url "https://git.sr.ht/~chambln..." :i=
gnored-files ... :readme ignore :auto-sync t) (all :url "https://git.sv.gnu=
.org/git..." :branch "externals/all") (ampc :url "https://git.sv.gnu.org/gi=
t..." :branch "externals/ampc") (arbitools :url "https://git.sv.gnu.org/git=
..." :branch "externals/arbitools") (ascii-art-to-unicode :url "https://git=
.sv.gnu.org/git..." :branch "externals/ascii-art-to-uni...") ("async" :url =
"https://github.com/jwiegle..." :ignored-files ... :auto-sync t) ("auctex" =
:url "git://git.sv.gnu.org/aucte..." :auto-sync nil) (aumix-mode :url "http=
s://git.sv.gnu.org/git..." :branch "externals/aumix-mode") (auto-correct :u=
rl "https://git.sv.gnu.org/git..." :branch "externals/auto-correct") ("auto=
-overlays" :url "http://www.dr-qubit.org/gi..." :doc "docs/auto-overlay-man=
ual.t...") ("avy" :url "https://github.com/abo-abo...") ("bbdb" :url "git:/=
/git.savannah.nongnu...." :lisp-dir "lisp" :doc "doc/bbdb.texi" :auto-sync =
nil) ("beacon" :url "https://github.com/Malabar..." :auto-sync t) ("bind-ke=
y" :url "https://github.com/jwiegle..." :ignored-files ... :news "/dev/null=
" :auto-sync t :internal--html-docs nil) ("blist" :url "https://gitlab.com/=
mmemmew..." :doc "blist.texinfo" :readme "README.org" :auto-sync t) ...)))
  package-vc--desc->spec(#s(package-desc :name pyim :version (5 2 8) :summa=
ry "A Chinese input method support quanpin, shuangpin,..." :reqs ((emacs (2=
5 1)) (async (1 6)) (xr (1 13))) :kind vc :archive nil :dir "/home/feng/.em=
acs.d/elpa-29/pyim" :extras ((:commit . "93fab3c9e8c2490687781d45c1cecead0b=
d3ecf2") (:authors ("Ye Wenbin" . "wenbinye@HIDDEN") ("Feng Shu" . "tumash=
u@HIDDEN")) (:maintainer "Feng Shu" . "tumashu@HIDDEN") (:keywords "conve=
nience" "chinese" "pinyin" "input-method") (:url . "https://github.com/tuma=
shu/pyim")) :signed nil))
  package-vc--main-file(#s(package-desc :name pyim :version (5 2 8) :summar=
y "A Chinese input method support quanpin, shuangpin,..." :reqs ((emacs (25=
 1)) (async (1 6)) (xr (1 13))) :kind vc :archive nil :dir "/home/feng/.ema=
cs.d/elpa-29/pyim" :extras ((:commit . "93fab3c9e8c2490687781d45c1cecead0bd=
3ecf2") (:authors ("Ye Wenbin" . "wenbinye@HIDDEN") ("Feng Shu" . "tumashu=
@163.com")) (:maintainer "Feng Shu" . "tumashu@HIDDEN") (:keywords "conven=
ience" "chinese" "pinyin" "input-method") (:url . "https://github.com/tumas=
hu/pyim")) :signed nil))
  package-vc--unpack-1(#s(package-desc :name pyim :version (5 2 8) :summary=
 "A Chinese input method support quanpin, shuangpin,..." :reqs ((emacs (25 =
1)) (async (1 6)) (xr (1 13))) :kind vc :archive nil :dir "/home/feng/.emac=
s.d/elpa-29/pyim" :extras ((:commit . "93fab3c9e8c2490687781d45c1cecead0bd3=
ecf2") (:authors ("Ye Wenbin" . "wenbinye@HIDDEN") ("Feng Shu" . "tumashu@=
163.com")) (:maintainer "Feng Shu" . "tumashu@HIDDEN") (:keywords "conveni=
ence" "chinese" "pinyin" "input-method") (:url . "https://github.com/tumash=
u/pyim")) :signed nil) "/home/feng/.emacs.d/elpa-29/pyim")
  package-vc-rebuild(#s(package-desc :name pyim :version (5 2 8) :summary "=
A Chinese input method support quanpin, shuangpin,..." :reqs ((emacs (25 1)=
) (async (1 6)) (xr (1 13))) :kind vc :archive nil :dir "/home/feng/.emacs.=
d/elpa-29/pyim" :extras ((:commit . "93fab3c9e8c2490687781d45c1cecead0bd3ec=
f2") (:authors ("Ye Wenbin" . "wenbinye@HIDDEN") ("Feng Shu" . "tumashu@16=
3.com")) (:maintainer "Feng Shu" . "tumashu@HIDDEN") (:keywords "convenien=
ce" "chinese" "pinyin" "input-method") (:url . "https://github.com/tumashu/=
pyim")) :signed nil))
  funcall-interactively(package-vc-rebuild #s(package-desc :name pyim :vers=
ion (5 2 8) :summary "A Chinese input method support quanpin, shuangpin,...=
" :reqs ((emacs (25 1)) (async (1 6)) (xr (1 13))) :kind vc :archive nil :d=
ir "/home/feng/.emacs.d/elpa-29/pyim" :extras ((:commit . "93fab3c9e8c24906=
87781d45c1cecead0bd3ecf2") (:authors ("Ye Wenbin" . "wenbinye@HIDDEN") ("F=
eng Shu" . "tumashu@HIDDEN")) (:maintainer "Feng Shu" . "tumashu@HIDDEN")=
 (:keywords "convenience" "chinese" "pinyin" "input-method") (:url . "https=
://github.com/tumashu/pyim")) :signed nil))
  call-interactively(package-vc-rebuild record nil)
  command-execute(package-vc-rebuild record)
  execute-extended-command(nil "package-vc-rebuild" "package-vc-reb")
  funcall-interactively(execute-extended-command nil "package-vc-rebuild" "=
package-vc-reb")
  call-interactively(execute-extended-command nil nil)
  command-execute(execute-extended-command)




--=20





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59087; Package emacs. Full text available.

Message received at 59087 <at> debbugs.gnu.org:


Received: (at 59087) by debbugs.gnu.org; 15 Nov 2022 02:09:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 14 21:09:08 2022
Received: from localhost ([127.0.0.1]:52344 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oulNs-00052L-AY
	for submit <at> debbugs.gnu.org; Mon, 14 Nov 2022 21:09:08 -0500
Received: from m12-18.163.com ([220.181.12.18]:10880)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tumashu@HIDDEN>) id 1oulNo-00051l-QD
 for 59087 <at> debbugs.gnu.org; Mon, 14 Nov 2022 21:09:07 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-ID:MIME-Version; bh=nwgsj
 5R1tSJtbuB6VvoVo24iH2Sq3l8Ybfsm3ANTjyA=; b=Hpbt1ttxdBZ8CsOeXdFdy
 /Y/KOgwxDpujEhfEfNW54NR+L6on90fNpRayLluKR/ZFklvHL1U9U339HK6sNwog
 pIqjQtryhNlLHhNzPGz6XJ2DDESUN+srchwV11VoN12xGSwVW4jpaG1GH9ajnLEQ
 AEsRgPvSxerWO9qMs7E49I=
Received: from Tumashu (unknown [218.92.14.78])
 by smtp14 (Coremail) with SMTP id EsCowADHjhS29HJjLlJ+MQ--.62756S2;
 Tue, 15 Nov 2022 10:08:55 +0800 (CST)
From: Feng Shu <tumashu@HIDDEN>
To: Philip Kaludercic <philipk@HIDDEN>
Subject: Re: bug#59087: 29.0.50; package-vc-update error
In-Reply-To: <874jv13h6c.fsf@HIDDEN> (Philip Kaludercic's message of "Mon, 
 14 Nov 2022 11:32:27 +0000")
References: <87v8nr333x.fsf@HIDDEN> <874jv13h6c.fsf@HIDDEN>
Date: Tue, 15 Nov 2022 10:08:54 +0800
Message-ID: <87h6z1x93d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-CM-TRANSID: EsCowADHjhS29HJjLlJ+MQ--.62756S2
X-Coremail-Antispam: 1Uf129KBjvJXoWxZr18Gw4rZr1UGFyfCry8Xwb_yoW5WF18pr
 WDCwn8t34rt3Z2y39Fkr1xuF45KFZ5tr4jqw4Dt347XFyUWw18Xryj9FsYva4UWr13KayU
 Aw1v9wsrG348ZrJanT9S1TB71UUUUUUqnTZGkaVYY2UrUUUUjbIjqfuFe4nvWSU5nxnvy2
 9KBjDUYxBIdaVFxhVjvjDU0xZFpf9x07Ub6pQUUUUU=
X-Originating-IP: [218.92.14.78]
X-CM-SenderInfo: 5wxpt2lkx6il2tof0z/xtbBERe61FaELaQfXwAAsz
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 59087
Cc: 59087 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Philip Kaludercic <philipk@HIDDEN> writes:

> Feng Shu <tumashu@HIDDEN> writes:
>
>> Debugger entered--Lisp error: (wrong-type-argument stringp nil)
>>   make-symbol(nil)
>>   package-vc-update(#s(package-desc :name pyim :version (5 2 8)
>> :summary "A Chinese input method support quanpin, shuangpin,..."
>> :reqs ((emacs (25 1)) (async (1 6)) (xr (1 13))) :kind vc :archive
>> nil :dir "/home/feng/.emacs.d/elpa-29/pyim" :extras ((:commit
>> . "8c4f7d40c05dc06b3c96c2955e5d72ec268f2b61") (:authors ("Ye Wenbin"
>> . "wenbinye@HIDDEN") ("Feng Shu" . "tumashu@HIDDEN")) (:maintainer
>> "Feng Shu" . "tumashu@HIDDEN") (:keywords "convenience" "chinese"
>> "pinyin" "input-method") (:url . "https://github.com/tumashu/pyim"))> :signed nil))
>>   package-update(pyim)
>>   mapc(package-update (pyim))
>>   package-update-all(t)
>>   funcall-interactively(package-update-all t)
>>   call-interactively(package-update-all record nil)
>>   command-execute(package-update-all record)
>>   execute-extended-command(nil "package-update-all" nil)
>>   funcall-interactively(execute-extended-command nil "package-update-all" nil)
>>   call-interactively(execute-extended-command nil nil)
>>   command-execute(execute-extended-command)
>
> This issue (and the others you reported) might have been resolved on the
> scratch/package-vc-fixes branch.  Could you try that out?

When I delete pyim and reinstall it, and run pyim-vc-update again, show:

Debugger entered--Lisp error: (error "No VC backend is responsible for ~/")
  signal(error ("No VC backend is responsible for ~/"))
  error("No VC backend is responsible for %s" "~/")
  vc-responsible-backend("~/")
  vc-deduce-fileset-1(t nil nil)
  vc-deduce-fileset(t)
  vc-pull()
  package-vc-update(#s(package-desc :name pyim :version (5 2 8) :summary "A Chinese input method support quanpin, shuangpin,..." :reqs ((emacs (25 1)) (async (1 6)) (xr (1 13))) :kind vc :archive nil :dir "/home/feng/.emacs.d/elpa-29/pyim" :extras ((:commit . "93fab3c9e8c2490687781d45c1cecead0bd3ecf2") (:authors ("Ye Wenbin" . "wenbinye@HIDDEN") ("Feng Shu" . "tumashu@HIDDEN")) (:maintainer "Feng Shu" . "tumashu@HIDDEN") (:keywords "convenience" "chinese" "pinyin" "input-method") (:url . "https://github.com/tumashu/pyim")) :signed nil))
  package-update("pyim")
  funcall-interactively(package-update "pyim")
  call-interactively(package-update record nil)
  command-execute(package-update record)
  execute-extended-command(nil "package-update" nil)
  funcall-interactively(execute-extended-command nil "package-update" nil)
  call-interactively(execute-extended-command nil nil)
  command-execute(execute-extended-command)



-- 





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59087; Package emacs. Full text available.

Message received at 59087 <at> debbugs.gnu.org:


Received: (at 59087) by debbugs.gnu.org; 15 Nov 2022 01:53:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 14 20:53:03 2022
Received: from localhost ([127.0.0.1]:52254 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oul8J-0004ZP-6G
	for submit <at> debbugs.gnu.org; Mon, 14 Nov 2022 20:53:03 -0500
Received: from m12-16.163.com ([220.181.12.16]:1681)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tumashu@HIDDEN>) id 1oul8G-0004Yp-4U
 for 59087 <at> debbugs.gnu.org; Mon, 14 Nov 2022 20:53:02 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-ID:MIME-Version; bh=ihiWl
 YbBZ2QsvXKpK30foe6NuUn5lUceyIgflCBXuZQ=; b=JdpTYC7mjHAUIXuAN84eU
 K1DR0T2CKSyTvZ7BaVYwERU1OnM531S3JxoxYiw0LPEGt+QA53HxNHEYXXTAr15i
 o5TwQyo7YQzaKn0ypK+MNO227uns/Q/+hhl3FCwhp+m37FN2iUIbnkpzGOeih7d8
 aygFxh0lHExfOfsnrWmD78=
Received: from Tumashu (unknown [218.92.14.78])
 by smtp12 (Coremail) with SMTP id EMCowACXn+Pp8HJj_Wr_Bw--.20S2;
 Tue, 15 Nov 2022 09:52:46 +0800 (CST)
From: Feng Shu <tumashu@HIDDEN>
To: Philip Kaludercic <philipk@HIDDEN>
Subject: Re: bug#59087: 29.0.50; package-vc-update error
In-Reply-To: <874jv13h6c.fsf@HIDDEN> (Philip Kaludercic's message of "Mon, 
 14 Nov 2022 11:32:27 +0000")
References: <87v8nr333x.fsf@HIDDEN> <874jv13h6c.fsf@HIDDEN>
Date: Tue, 15 Nov 2022 09:52:41 +0800
Message-ID: <878rkdkmqe.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-CM-TRANSID: EMCowACXn+Pp8HJj_Wr_Bw--.20S2
X-Coremail-Antispam: 1Uf129KBjvJXoWxZr18Gw4rZr1UGFyfCry8Xwb_yoW5Kr1Up3
 47C3WDK348ta1Yk3sFkF1ruFW3Can0yr1jga1Dt345ZFWDur1Fqry2krnava9xKw1Ik348
 uas0vr9rKry8ZFJanT9S1TB71UUUUUUqnTZGkaVYY2UrUUUUjbIjqfuFe4nvWSU5nxnvy2
 9KBjDUYxBIdaVFxhVjvjDU0xZFpf9x07UbTmDUUUUU=
X-Originating-IP: [218.92.14.78]
X-CM-SenderInfo: 5wxpt2lkx6il2tof0z/xtbB3w661GBHMudRuQAAsl
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 59087
Cc: 59087 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Philip Kaludercic <philipk@HIDDEN> writes:

> Feng Shu <tumashu@HIDDEN> writes:
>
>> Debugger entered--Lisp error: (wrong-type-argument stringp nil)
>>   make-symbol(nil)
>>   package-vc-update(#s(package-desc :name pyim :version (5 2 8)
>> :summary "A Chinese input method support quanpin, shuangpin,..."
>> :reqs ((emacs (25 1)) (async (1 6)) (xr (1 13))) :kind vc :archive
>> nil :dir "/home/feng/.emacs.d/elpa-29/pyim" :extras ((:commit
>> . "8c4f7d40c05dc06b3c96c2955e5d72ec268f2b61") (:authors ("Ye Wenbin"
>> . "wenbinye@HIDDEN") ("Feng Shu" . "tumashu@HIDDEN")) (:maintainer
>> "Feng Shu" . "tumashu@HIDDEN") (:keywords "convenience" "chinese"
>> "pinyin" "input-method") (:url . "https://github.com/tumashu/pyim"))> :signed nil))
>>   package-update(pyim)
>>   mapc(package-update (pyim))
>>   package-update-all(t)
>>   funcall-interactively(package-update-all t)
>>   call-interactively(package-update-all record nil)
>>   command-execute(package-update-all record)
>>   execute-extended-command(nil "package-update-all" nil)
>>   funcall-interactively(execute-extended-command nil "package-update-all" nil)
>>   call-interactively(execute-extended-command nil nil)
>>   command-execute(execute-extended-command)
>
> This issue (and the others you reported) might have been resolved on the
> scratch/package-vc-fixes branch.  Could you try that out?

wow, good job, I install pyim and run package-vc-update again, show:

Debugger entered--Lisp error: (cl-assertion-failed (dir nil))
  cl--assertion-failed(dir)
  package-vc--unpack-1(#s(package-desc :name pyim :version (5 2 8) :summary "A Chinese input method support quanpin, shuangpin,..." :reqs ((emacs (25 1)) (async (1 6)) (xr (1 13))) :kind tar :archive "gnu" :dir nil :extras ((:url . "https://github.com/tumashu/pyim") (:keywords "convenience" "chinese" "pinyin" "input-method") (:maintainer "Feng Shu" . "tumashu@HIDDEN") (:authors ("Ye Wenbin" . "wenbinye@HIDDEN") ("Feng Shu" . "tumashu@HIDDEN")) (:commit . "93fab3c9e8c2490687781d45c1cecead0bd3ecf2")) :signed nil) nil)
  #f(compiled-function (command file-or-list flags) #<bytecode 0xe12829862413ae8>)("git" nil ("pull" "--stat"))
  run-hook-with-args(#f(compiled-function (command file-or-list flags) #<bytecode 0xe12829862413ae8>) "git" nil ("pull" "--stat"))
  #f(compiled-function () #<bytecode -0x1712b007cb06d41a>)()
  vc-exec-after(#f(compiled-function () #<bytecode -0x1712b007cb06d41a>) nil)
  vc--process-sentinel(#<process git> #f(compiled-function () #<bytecode -0x1712b007cb06d41a>) nil)
  #f(compiled-function (p msg) #<bytecode 0xef07964a0216b31>)(#<process git> "exited abnormally with code 128\n")
  apply(#f(compiled-function (p msg) #<bytecode 0xef07964a0216b31>) (#<process git> "exited abnormally with code 128\n"))
  #f(advice #f(compiled-function (p msg) #<bytecode 0xef07964a0216b31>) :after ignore)(#<process git> "exited abnormally with code 128\n")
  apply(#f(advice #f(compiled-function (p msg) #<bytecode 0xef07964a0216b31>) :after ignore) (#<process git> "exited abnormally with code 128\n"))
  #f(advice #f(compiled-function (p msg) #<bytecode -0xa9844be2e2d4106>) :after #f(advice #f(compiled-function (p msg) #<bytecode 0xef07964a0216b31>) :after ignore))(#<process git> "exited abnormally with code 128\n")



-- 





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59087; Package emacs. Full text available.

Message received at 59087 <at> debbugs.gnu.org:


Received: (at 59087) by debbugs.gnu.org; 14 Nov 2022 11:32:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 14 06:32:36 2022
Received: from localhost ([127.0.0.1]:49063 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ouXhb-00018Y-Pa
	for submit <at> debbugs.gnu.org; Mon, 14 Nov 2022 06:32:36 -0500
Received: from mout02.posteo.de ([185.67.36.66]:44013)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philipk@HIDDEN>) id 1ouXha-00018K-5Z
 for 59087 <at> debbugs.gnu.org; Mon, 14 Nov 2022 06:32:34 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout02.posteo.de (Postfix) with ESMTPS id A04BC240101
 for <59087 <at> debbugs.gnu.org>; Mon, 14 Nov 2022 12:32:28 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1668425548; bh=yEfjBMcOVQ2ynP3xrEM+t/VvH/yajdGCGEFl6PjKDBk=;
 h=From:To:Cc:Subject:Date:From;
 b=jnuRWsudDUgYyCe6ZQvFQaacEnS9CM05W/v64BDeMgbqLF699HYpyByo2R2Fl/Ssf
 6qkD6sy1PlyWrwNXsbw80oaB+T2vf8q8GIIPrEuG60Di2cU3dpugJmqqoXB4IUraog
 uOocv3ARosNuI21aLN9eU+HS9zGuSpxmYxkyvRfrBwIfhfdKTcemjRVOZZ0yM6NmFa
 qDrx8B28WYuWcSZeOU5RoA2zCv1qw8gkO29yea8XimeL7xf3FPEABG57fNLJgWy2AJ
 DcieaSaz6cTiUNuOE9SIJ4HY+Mqk/xFLqEoGel4Ejx/efz8K+6M7fqpiv8/9NxGPPF
 gnhQ4kD/5LLGg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4N9nGg5zZkz6tmG;
 Mon, 14 Nov 2022 12:32:27 +0100 (CET)
From: Philip Kaludercic <philipk@HIDDEN>
To: Feng Shu <tumashu@HIDDEN>
Subject: Re: bug#59087: 29.0.50; package-vc-update error
In-Reply-To: <87v8nr333x.fsf@HIDDEN> (Feng Shu's message of "Mon, 07 Nov 2022
 10:33:38 +0800")
References: <87v8nr333x.fsf@HIDDEN>
Date: Mon, 14 Nov 2022 11:32:27 +0000
Message-ID: <874jv13h6c.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59087
Cc: 59087 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Feng Shu <tumashu@HIDDEN> writes:

> Debugger entered--Lisp error: (wrong-type-argument stringp nil)
>   make-symbol(nil)
>   package-vc-update(#s(package-desc :name pyim :version (5 2 8) :summary "A Chinese input method support quanpin, shuangpin,..." :reqs ((emacs (25 1)) (async (1 6)) (xr (1 13))) :kind vc :archive nil :dir "/home/feng/.emacs.d/elpa-29/pyim" :extras ((:commit . "8c4f7d40c05dc06b3c96c2955e5d72ec268f2b61") (:authors ("Ye Wenbin" . "wenbinye@HIDDEN") ("Feng Shu" . "tumashu@HIDDEN")) (:maintainer "Feng Shu" . "tumashu@HIDDEN") (:keywords "convenience" "chinese" "pinyin" "input-method") (:url . "https://github.com/tumashu/pyim")) :signed nil))
>   package-update(pyim)
>   mapc(package-update (pyim))
>   package-update-all(t)
>   funcall-interactively(package-update-all t)
>   call-interactively(package-update-all record nil)
>   command-execute(package-update-all record)
>   execute-extended-command(nil "package-update-all" nil)
>   funcall-interactively(execute-extended-command nil "package-update-all" nil)
>   call-interactively(execute-extended-command nil nil)
>   command-execute(execute-extended-command)

This issue (and the others you reported) might have been resolved on the
scratch/package-vc-fixes branch.  Could you try that out?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59087; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Nov 2022 02:34:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 06 21:34:02 2022
Received: from localhost ([127.0.0.1]:32781 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1orrxZ-0001OK-AA
	for submit <at> debbugs.gnu.org; Sun, 06 Nov 2022 21:34:02 -0500
Received: from lists.gnu.org ([209.51.188.17]:54504)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tumashu@HIDDEN>) id 1orrxT-0001O6-CD
 for submit <at> debbugs.gnu.org; Sun, 06 Nov 2022 21:33:59 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <tumashu@HIDDEN>) id 1orrxT-0001CC-6g
 for bug-gnu-emacs@HIDDEN; Sun, 06 Nov 2022 21:33:55 -0500
Received: from m12-15.163.com ([220.181.12.15])
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <tumashu@HIDDEN>) id 1orrxO-0006Ti-4t
 for bug-gnu-emacs@HIDDEN; Sun, 06 Nov 2022 21:33:54 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-ID:MIME-Version; bh=eMS3X
 SnO/LQM5D4yZFx7F59RlQmueFQXwqptXiTPY3o=; b=gfgpPNdV0AY5V8rRibiU7
 Dl4XNvgVtQvDJFydBwvWIhM9fn9n7tag1TZ67kkinRmscj5iTxmV4PvPFrPu8vJO
 BFMfz8SANj5/3GfS6stSp80YyhwTY1pXn5FaHNqsyQIm400/0VsVNuJE1N6psoT+
 hSbFWkrUzUC9O7EPMLUnGc=
Received: from Tumashu (unknown [218.92.14.78])
 by smtp11 (Coremail) with SMTP id D8CowAAHFSmCbmhje4LXEQ--.10000S2;
 Mon, 07 Nov 2022 10:33:38 +0800 (CST)
From: Feng Shu <tumashu@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; package-vc-update error
Date: Mon, 07 Nov 2022 10:33:38 +0800
Message-ID: <87v8nr333x.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-CM-TRANSID: D8CowAAHFSmCbmhje4LXEQ--.10000S2
X-Coremail-Antispam: 1Uf129KBjvAXoW3Aw4fAryDZFy3Aw4DAr1rtFb_yoW8Jr45Wo
 WfurW5Wa13Wr9Fga4xKF1DCrW3WasIkF1fZw4jqw1UXFyIqr1UGa47A39rAFW3Aw4UX3s8
 ZF13Kw47tF4UtFn5n29KB7ZKAUJUUUUU529EdanIXcx71UUUUU7v73VFW2AGmfu7bjvjm3
 AaLaJ3UbIYCTnIWIevJa73UjIFyTuYvjxUODGODUUUU
X-Originating-IP: [218.92.14.78]
X-CM-SenderInfo: 5wxpt2lkx6il2tof0z/1tbiSgOy1GI0VPM3rQAAsE
Received-SPF: pass client-ip=220.181.12.15; envelope-from=tumashu@HIDDEN;
 helo=m12-15.163.com
X-Spam_score_int: -10
X-Spam_score: -1.1
X-Spam_bar: -
X-Spam_report: (-1.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 FREEMAIL_REPLY=1, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)


Debugger entered--Lisp error: (wrong-type-argument stringp nil)
  make-symbol(nil)
  package-vc-update(#s(package-desc :name pyim :version (5 2 8) :summary "A Chinese input method support quanpin, shuangpin,..." :reqs ((emacs (25 1)) (async (1 6)) (xr (1 13))) :kind vc :archive nil :dir "/home/feng/.emacs.d/elpa-29/pyim" :extras ((:commit . "8c4f7d40c05dc06b3c96c2955e5d72ec268f2b61") (:authors ("Ye Wenbin" . "wenbinye@HIDDEN") ("Feng Shu" . "tumashu@HIDDEN")) (:maintainer "Feng Shu" . "tumashu@HIDDEN") (:keywords "convenience" "chinese" "pinyin" "input-method") (:url . "https://github.com/tumashu/pyim")) :signed nil))
  package-update(pyim)
  mapc(package-update (pyim))
  package-update-all(t)
  funcall-interactively(package-update-all t)
  call-interactively(package-update-all record nil)
  command-execute(package-update-all record)
  execute-extended-command(nil "package-update-all" nil)
  funcall-interactively(execute-extended-command nil "package-update-all" nil)
  call-interactively(execute-extended-command nil nil)
  command-execute(execute-extended-command)



In GNU Emacs 29.0.50 (build 11, x86_64-pc-linux-gnu, X toolkit, cairo
 version 1.16.0, Xaw3d scroll bars) of 2022-11-07 built on Tumashu
Repository revision: 61d55ce3bb4dc1f7deac552439c61bbe0909dcdb
Repository branch: feng-emacs-29
Windowing system distributor 'The X.Org Foundation', version 11.0.12011000
System Description: Debian GNU/Linux 11 (bullseye)

Configured using:
 'configure --with-x-toolkit=lucid --with-json'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY
INOTIFY PDUMPER PNG RSVG SECCOMP SOUND THREADS TIFF TOOLKIT_SCROLL_BARS
X11 XAW3D XDBE XIM XINPUT2 XPM LUCID ZLIB

Important settings:
  value of $LANG: zh_CN.UTF-8
  value of $XMODIFIERS: @im=fcitx
  locale-coding-system: utf-8-unix

Major mode: ELisp/l

Minor modes in effect:
  bug-reference-prog-mode: t
  global-git-commit-mode: t
  magit-auto-revert-mode: t
  aggressive-indent-mode: t
  emms-playing-time-display-mode: t
  emms-playing-time-mode: t
  cnfonts-mode: t
  projectile-mode: t
  corfu-history-mode: t
  global-corfu-mode: t
  corfu-mode: t
  org-super-agenda-mode: t
  auto-revert-mode: t
  pyim-isearch-mode: t
  vertico-mode: t
  savehist-mode: t
  global-tab-line-mode: t
  tab-line-mode: t
  global-so-long-mode: t
  electric-pair-mode: t
  pixel-scroll-precision-mode: t
  shell-dirtrack-mode: t
  recentf-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  context-menu-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  line-number-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
/home/feng/.emacs.d/elpa-29/xr-1.23/xr hides ~/projects/emacs-packages/pyim/.deps/xr
/home/feng/.emacs.d/elpa-29/pyim-basedict-0.5.4/pyim-basedict hides ~/projects/emacs-packages/pyim/.deps/pyim-basedict
/home/feng/.emacs.d/elpa-29/async-20221103.638/async hides ~/projects/emacs-packages/pyim/.deps/async
/home/feng/.emacs.d/elpa-29/transient-20221028.1430/transient hides /home/feng/emacs/emacs29/lisp/transient

Features:
(shadow mail-extr emacsbug loaddefs-gen shortdoc vc-git citre
citre-global bug-reference cl-print cus-start package-vc mule-util
mm-archive network-stream url-cache url-http url-auth url-gw nsm
cursor-sensor warnings emacs-helper eh-guix guix geiser-guile info-look
geiser-debug geiser-repl geiser-image geiser-capf geiser-doc geiser-menu
geiser-autodoc geiser-edit etags fileloop xref geiser-completion
geiser-eval geiser-connection geiser-syntax scheme geiser-log
geiser-popup view geiser eh-misc vundo magit-bookmark magit-submodule
magit-obsolete magit-popup magit-blame magit-stash magit-reflog
magit-bisect magit-push magit-pull magit-fetch magit-clone magit-remote
magit-commit magit-sequence magit-notes magit-worktree magit-tag
magit-merge magit-branch magit-reset magit-files magit-refs magit-status
magit magit-repos magit-apply magit-wip magit-log which-func imenu
edebug debug backtrace magit-diff smerge-mode diff diff-mode git-commit
log-edit pcvs-util add-log magit-core magit-autorevert magit-margin
magit-transient magit-process with-editor server magit-mode transient
edmacro magit-git magit-base magit-section compat-27 compat-26
aggressive-indent eh-emms emms-player-vlc emms-player-mpv
emms-player-mplayer emms-setup emms-librefm-stream
emms-librefm-scrobbler emms-playlist-limit emms-i18n emms-history
emms-score emms-stream-info emms-metaplaylist-mode emms-bookmarks
emms-cue emms-mode-line-icon emms-browser emms-volume
emms-volume-sndioctl emms-volume-mixerctl emms-volume-pulse
emms-volume-amixer emms-playlist-sort emms-last-played emms-player-xine
emms-player-mpd tq emms-playing-time emms-lyrics emms-url
emms-player-simple emms-streams emms-show-all emms-tag-editor
emms-tag-tracktag emms-mark emms-mode-line emms-cache emms-info-native
bindat emms-info-exiftool emms-info-tinytag emms-info-metaflac
emms-info-opusinfo emms-info-ogginfo emms-info-mp3info emms-info
emms-later-do emms-playlist-mode emms-source-playlist emms-source-file
locate emms emms-compat el2org cnfonts tempel citre-config
citre-lang-fileref citre-tags citre-ctags citre-readtags
citre-readtags-tables citre-backend-interface citre-ui-peek color
citre-ui-jump citre-common-tag citre-common-util projectile skeleton
ibuf-macs find-dired lisp-mnt grep compile ibuf-ext ibuffer
ibuffer-loaddefs eh-gnus-common ebdb-message ebdb-gnus nnselect ebdb-mua
ebdb-complete ebdb-com crm ebdb-format ebdb-i18n-chn ebdb-i18n
ebdb-i18n-basic ebdb inline eieio-base timezone eww xdg url-queue
thingatpt mm-url gnus-demon gnus-search eieio-opt speedbar ezimage
dframe gnus-agent gnus-srvr gnus-score score-mode nnvirtual gnus-msg
nntp gnus-cite gnus-art mm-uu mml2015 mm-view mml-smime smime gnutls dig
gnus-cache gnus-sum shr pixel-fill kinsoku url-file svg dom gnus-group
gnus-undo gnus-start gnus-dbus dbus xml gnus-cloud nnimap nnmail
mail-source utf7 nnoo gnus-spec gnus-int gnus-range message sendmail
yank-media puny rfc822 mml mml-sec epa derived epg rfc6068 epg-config
mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045
ietf-drums mailabbrev gmm-utils mailheader gnus-win gnus nnheader
gnus-util mail-utils range mm-util mail-prsvr eh-complete cape
corfu-history corfu eh-org org-ql peg org-super-agenda ts ht s dash
org-habit org-capture ob-python python project ob-org ox-md ox-org
ox-odt rng-loc rng-uri rng-parse rng-match rng-dt rng-util rng-pttrn
nxml-parse nxml-ns nxml-enc xmltok nxml-util ox-latex ox-icalendar
org-agenda ox-html table ox-ascii ox-publish ox org-element avl-tree
generator autorevert filenotify org-attach org-id org-refile org ob
ob-tangle ob-ref ob-lob ob-table ob-exp org-macro org-footnote org-src
ob-comint org-pcomplete org-list org-faces org-entities noutline outline
org-version ob-emacs-lisp ob-core ob-eval org-table oc-basic bibtex ol
org-keys oc org-compat advice org-macs org-loaddefs find-func
eh-functions eh-theme modus-vivendi-theme modus-themes eh-basic
cal-china-x cal-china lunar solar cal-dst holidays holiday-loaddefs
cal-menu calendar cal-loaddefs pyim-basedict pyim-cregexp-utils
easy-mmode pyim pyim-cloudim pyim-probe pyim-preview pyim-page popup
cl-extra posframe pyim-indicator pyim-dregcache pyim-dhashcache sort
pyim-dict async pyim-autoselector pyim-process pyim-punctuation
pyim-outcome pyim-candidates pyim-cstring pyim-cregexp pcase xr
pyim-codes pyim-imobjs pyim-pinyin pyim-entered pyim-dcache pyim-pymap
pyim-scheme pyim-common wdired dired dired-loaddefs vc vc-dispatcher
consult-vertico consult compat-28 compat compat-macs kmacro orderless
vertico-directory vertico savehist tab-line switch-window
switch-window-mvborder switch-window-asciiart quail so-long elec-pair
bookmark text-property-search pixel-scroll cua-base tramp-cache
time-stamp tramp-sh tramp tramp-loaddefs trampver tramp-integration
cus-edit pp cus-load icons files-x tramp-compat rx shell pcomplete
comint ansi-osc ansi-color parse-time iso8601 time-date ls-lisp
format-spec recentf tree-widget wid-edit elpa-mirror finder-inf
vertico-autoloads org-ql-autoloads f-autoloads ov-autoloads
peg-autoloads aggressive-indent-autoloads magit-autoloads
git-commit-autoloads orderless-autoloads cnfonts-autoloads
modus-themes-autoloads consult-autoloads magit-section-autoloads
org-download-autoloads org-super-agenda-autoloads ht-autoloads
paredit-autoloads pos-tip-autoloads switch-window-autoloads ts-autoloads
s-autoloads geiser-guile-autoloads geiser-impl help-fns radix-tree
help-mode geiser-custom geiser-base ring transient-autoloads
with-editor-autoloads xmlgen-autoloads wrap-region-autoloads
wgrep-autoloads vundo-autoloads recentf-ext-autoloads
rainbow-mode-autoloads rainbow-delimiters-autoloads
pyim-basedict-autoloads citre-autoloads compat-autoloads cape-autoloads
emms-autoloads org-contrib-autoloads ox-gfm-autoloads guix-autoloads
geiser-autoloads bui-autoloads edit-indirect-autoloads
marginalia-autoloads flycheck-autoloads pkg-info-autoloads epl-autoloads
elpa-mirror-autoloads el2org-autoloads ebdb-i18n-chn-autoloads
ebdb-autoloads pyim-autoloads async-autoloads markdown-mode-autoloads
xr-autoloads dired-ranger-autoloads dired-hacks-utils-autoloads
dash-autoloads ef-themes-autoloads tempel-autoloads projectile-autoloads
cal-china-x-autoloads autopair-autoloads info corfu-autoloads
adaptive-wrap-autoloads package browse-url url url-proxy url-privacy
url-expand url-methods url-history url-cookie generate-lisp-file
url-domsuf url-util mailcap url-handlers url-parse auth-source cl-seq
eieio eieio-core cl-macs password-cache json subr-x map byte-opt gv
bytecomp byte-compile url-vars cl-loaddefs cl-lib china-util rmc
iso-transl tooltip cconv eldoc paren electric uniquify ediff-hook
vc-hooks lisp-float-type elisp-mode mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode lisp-mode prog-mode register
page tab-bar menu-bar rfn-eshadow isearch easymenu timer select
scroll-bar mouse jit-lock font-lock syntax font-core term/tty-colors
frame minibuffer nadvice seq simple cl-generic indonesian philippine
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite emoji-zwj charscript
charprop case-table epa-hook jka-cmpr-hook help abbrev obarray oclosure
cl-preloaded button loaddefs theme-loaddefs faces cus-face macroexp
files window text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget keymap hashtable-print-readable backquote
threads dbusbind inotify lcms2 dynamic-setting system-font-setting
font-render-setting cairo x-toolkit xinput2 x multi-tty
make-network-process emacs)

Memory information:
((conses 16 1048686 212343)
 (symbols 48 50972 509)
 (strings 32 515270 12443)
 (string-bytes 1 9353453)
 (vectors 16 91566)
 (vector-slots 8 13173061 129488)
 (floats 8 1301 1009)
 (intervals 56 1276 496)
 (buffers 984 20))





Acknowledgement sent to Feng Shu <tumashu@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#59087; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 16 Nov 2022 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.